Introduction

Flow Online Help and Support
Introduction

Send Feedback

Home > Introduction

FlowCUT is a powerful tool that uses .flow2d, .flow3d or .ord files to generate and communicate code to the machine tool and drive the waterjet cutting head. The software allows you to customize jet, material, and motion settings to efficiently create parts. FlowCUT also has the ability to open and translate NC and ESSI files.

The online help system is designed to help the user quickly start cutting parts from imported pathed part files. FLOW recommends that the user become familiar with each required step before cutting. The Getting started section provides an overview of the FlowCUT interface. The Cutting a part section walks the user through the FlowCUT process.

Symbols used in this guide

Note: Information that is complimentary to the topic, but non-critical.
Tip: A useful hint or idea.

Related Topics

Getting Help

© Flow International Corporation


Safety messages

Safety messages

Home > Safety > Safety messages

Safety messages are highlighted with the safety alert symbol, a signal word, or a combination of both. Pay particular attention to these safety messages and all safety precautions posted on the equipment.

Safety alert symbol

This is the safety alert symbol. It is used to alert you to potential physical injury hazards. Obey all safety messages that follow this symbol to avoid possible injury or death.

Signal words

DANGER! | DANGER indicates a hazardous situation which, if not avoided, will result in death or serious injury.
WARNING! | WARNING indicates a hazardous situation which, if not avoided, could result in death or serious injury.
CAUTION! | CAUTION indicates a hazardous situation which, if not avoided, could result in minor or moderate injury.
NOTICE | NOTICE indicates a non-hazardous situation which, if not avoided, could result in property damage.


Dynamic XD safety zone

Dynamic XD safety zone

Home > Safety > Safety zone

The Safety Zone indicates the safe positioning of the waterjet and part in relation to the catcher tank and the work area around the machine.

 Before you start cutting parts or run the machine tool, be sure you know how to stop it. See Stopping the program.

When cutting some bevel cut angles with the Dynamic XD cutting head near the edge of the catcher tank, it is possible to pierce the catcher tank wall. This may result in death, serious injury to personnel or equipment damage.

When a 3D part is opened in FlowCUT and Cycle Start is clicked, the machine settings are combined with waterjet orientations to create a visual indicator of a safe cut zone. The safe workable area for the Dynamic XD cutting head is indicated by a red dashed-line box on the screen.

This safety zone box is used to indicate one of the following scenarios:

Catcher tank warning

The program includes a move that points the waterjet towards the catcher tank wall, but not into the light curtain area. In this case, a warning is displayed that can be dismissed by the user in order to proceed with cutting the part.

Light curtain error

The program includes a move that points the waterjet towards the catcher tank wall AND into the light curtain area. In this case, the program is aborted and an error is displayed that will not allow the user to continue until the part is moved to a location that does not point the waterjet inside the light curtain area.

60° Angle Limit

The Dynamic XD cutting head is limited to 60° cutting angle for safety. When the machine is commanded to make a 60° or greater angle, the program is stopped and an error is displayed.

    Related topics

    Stop the program

    Option components


Overview

Overview

Home > Getting started > Interface

The FlowCUT Main Screen application window displays a menu bar and several FlowCUT toolbars: File, Command, 2D view, 3D view, Selection, Zone, Style, Side, Cutting parameter, Jet setting, Message, and Control panel.

Click to Enlarge Click to Enlarge

Click to Shrink Click to Shrink

The FlowCUT toolbars provide instant access to the most frequently used FlowCUT commands. Many of these commands are also accessible through menu selections. The toolbars can be shown or hidden using the Window menu. When you move the mouse pointer to an icon on a toolbar, a description appears near the icon and the message bar describes the icon in more detail.


Icon size

Icon size

Home > Getting started > Interface > Icon size

Set icon size

The FlowCUT toolbar icons can be displayed in two different sizes.

On the Window menu, click Large icons to toggle between sizes. A check mark appears next to the selection when the large icons are in use.


Setup screen

Setup screen

Home > Getting started > Interface > Setup screen

The Setup screen appears when the application is launched and anytime the Previous screen [image] icon in the control panel of the Run machine screen is clicked. This screen provides the setup options available before cutting a part.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink


%%ItemTitle%%

Toolbar icons

The Setup and Run machine screens group and display icons by function. On the Window menu, click Show all to display all available toolbars.

The function of the FlowCUT toolbar buttons are:

File icons | Open, save, and print files.
Command icons | Duplicate parts and set dwell times.
2D view icons | Adjust the view of parts in 2D space
3D view icons | Adjust the view of parts in 3D space
Selection icons | Select or deselect elements of the object.
Zone selection icons | Move cutting head between pre-set zones. These buttons are enabled only on machines with tables configured with multiple zones.
Style icons | Assign cutting speeds and select unit of measurement. (Only available in the Setup screen)


Sidebar

Sidebar

Home > Getting started > Interface > Setup screen > Sidebar

The sidebar in the Setup screen contains information about the setup of the part, some of which can be edited by the user.

Thickness

Thickness of the material being cut. This can be modified by the user.

Use elevation

This checkbox will only be enabled when a 2D file with elevation is opened. If the box is checked, FlowCUT will use the programmed elevation to model the part. If the box is not checked, FlowCUT will use the material thickness entered to model the part and will ignore the programmed elevation.

Machinability

Machinability index of the material being cut. This value is filled in when a material type is selected. The machinability index of a material can be edited using the Edit material list item in the Material Type list.

Material Type

Type of material being cut. This is a managed list of materials that can be edited by the user.

Tool radius

Equal to approximately half the diameter of the mixing tube installed on the cutting machine. This value can be modified by the user and may need to be adjusted based on the wear of the mixing tube.

Scale

Pre-populated drop down field used to increase or decrease the size of a part.

Pierce time

Amount of time it will take to pierce through the material. The default value is calculated using a variety of settings in the software. The user can override this default value by first applying the model, then changing the value of this field and initiating the Run machine screen.

If the model is applied after changing this value, it will be overwritten by the software. Only change this value after the model has been applied.

Cost

Approximate cost to cut the part. This value is calculated using the Cost Parameters located in the Setup menu that were entered by the user. The field cannot be directly edited by the user.

Estimated time

Approximate time it will take to cut the part. This value is calculated using a variety of settings in the software and cannot be edited by the user.

Estimated abrasive used

Approximate abrasive used to cut the part. This value is calculated using a variety of settings in the software and cannot be edited by the user.

Number of jet On cycles

Number of times the jet turns on and off while cutting the part. This field cannot be edited by the user.

Cutting length

Length of the geometry being cut. This field cannot be edited by the user.

Total path length

Length of the entire path of the part, this includes cutting and non-cutting (traverse lines) geometry. This field cannot be edited by the user.


Control panel icons

Control panel icons

Home > Getting started > Interface > Setup screen > Control panel icons

This group of tool icons, located in the bottom control panel of the Setup screen interface, controls the setup of the waterjet cutting head.

Jet Setup | Use this tool to set up the jet parameters for pump, nozzle, piercing all holes first, and height sensors (if installed).
Preview | Use this tool to preview the cut to verify traverses, scribes, cutting paths, and tool offsets.
Run Machine | Use this tool to initiate the Run Machine interface used to run the machine to cut parts.
Dynamic Waterjet | If equipped with Dynamic Waterjet, this tool turns the Dynamic Waterjet function on or off.


Run machine screen

Run machine screen

Home > Getting started > Interface > Run machine screen

The Run Machine screen appears when the Run Machine icon [image] in the control panel of the Setup screen is clicked, and provides the controls and commands for operating the cutting machine. Much of the machine functionality is found in the sidebar of this screen.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

FlowCUT can control additional devices, including water-level control and sensors for monitoring pump and abrasive waterjet performance. If optional equipment or sensors are installed, additional buttons and checkboxes will appear in the sidebar.


Sidebar

Sidebar

Home > Getting started > Interface > Run machine screen > Sidebar

This group of tool icons, located in the side panel of the Run machine screen, controls the cycle operation and monitoring of the machine.

Cycle-start | Use this tool to start the cutting operation.
Cycle-stop | Use this tool to stop the cutting operation.
On | Indicates that the function is on. When enabled, the icon appears to be depressed.
Off | Indicates that the function is off. When enabled, the icon appears to be depressed.
Auto | Indicates that the function is in automatic mode and under computer control. When enabled, the icon appears to be depressed.
Previous screen | Returns the screen to the Setup screen.
Feedrate override | Allows the user to override all speeds by a percentage (this includes jogging and cutting speeds).
Enable cutting head(s) | Indicates which cutting head(s) are enabled.
Optional components | Allows access to the optional components installed on the machine.


Control panel icons

Control panel icons

Home > Getting started > Interface > Run machine screen > Control panel icons

This group of tool icons, located in the bottom control panel of the Run machine screen interface, controls the motion of the waterjet cutting head.

Positional indicators | Indicates whether absolute or relative coordinate system is being used. Available in the Run Machine interface.
Jog/home (X, Y) controls | Use this tool to jog the machine in pre-defined jog-step distances along the X- and Y-axes. The center button is used to home the machine. Available in the Run Machine interface. The arrow keys on the keyboard can also be used.
Jog/home (B, C, Z) controls | Use this tool to jog the machine in pre-defined jog-step distances along the Z-axis. The center icon is used to home the machine. Available in the Run Machine interface. The Page Up and Page Down keys on the keyboard can also be used.
Elapsed time | Indicates how much time the cut program has used.
Water used | Indicates how much water the cut program has used.
PASER monitor | Indicates ON/OFF status of water (left blue bar) and abrasive (right blue bar).


Cutting envelope

Cutting envelope

Home > Getting started > Options > Cutting envelope

The cutting envelope represents the cutting area boundaries, and the cutting head parameters define the physical dimensions of the cutting head.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Define soft limits for the cutting table

  1. Select Setup | Cutting envelope…. to open the Cutting Envelope dialog box. Type the desired values. All dimensions in the Cutting area boundaries section are in absolute machine coordinates.

  2. Use the Cutting head parameters section to help define soft limits for special cases such as adding an attachment to the cutting head.

To set the soft limits enter a small negative number to the Xo and Yo fields (-0.01,-0.01). If you enter zero, the PMAC card will define no soft limits.


Display options

Display options

Home > Getting started > Options > Display options

The FlowCUT application window can be set to your specifications.

Set display options

  1. On the Options menu, click Display options.

  2. Click Color next to each of the options available to choose a color from the basic colors grid or define a custom color to represent each item.

  3. Under Misc, in the Mouse sensitivity field, type a number. This represents the resolution of snap sensitivity when selecting entities.

  4. Under Misc, in the Transparency level field, type the percentage of transparency for entities.

  5. Under Cut Preview, in the Transparency level field, type the percentage of transparency for the cut preview animation.


Language options

Language options

Home > Getting started > Options > Language options

The FlowCUT application screen can be viewed in several languages.

Set language

On the Options menu, point to Language and then click the language you wish to use. A check mark appears next to the selected language and the application window switches to the language you selected.


Point plotting options

Point plotting options

Home > Getting started > Options > Point plotting options

The point plotting options can be set to your specifications.

Set point plotting options

  1. On the Options menu, click Point plotting options.

  2. Click Points Color to open the color options dialog box.

  3. Click a color and click OK. If the color you want does not appear in the Basic colors grid, click Define Custom Colors, click a color, and click OK.

  4. Type a value for Point tolerance (the minimum spacing between points).

  5. Type a value for Number of points to save.

    This value will affect the refresh rate. If the screen has not been refreshed, FlowCUT will keep drawing dots on the screen. Once the screen is refreshed (e.g. pressing F12, orbit, or pan), FlowCUT will only display up to the maximum number of points defined.


Pump ramp setting

Pump ramp setting

Home > Getting started > Options > Pump ramp setting

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Set time delay for ramping pump pressure up and down.

1. On the Setup menu, click Pump setting.

2. Select a delay method:

§ Click Time delay and enter the ramp up and ramp down wait time in seconds.

§ Click Automatic to have ramp settings controlled by the PLC.


Note editor

Note editor

Home > Getting started > Note editor

Use the Note editor to add notes or comments associated with the open file. Notes are saved as a .nt file in the same directory where the .ord file is located. On the File menu, click Note to access the Note Editor.


Printing files

Printing files

Home > Getting started > Printing files

To view your drawing in Print preview mode or to print your drawing, you must first apply the cutting model.

Adding a header to printed files

On the File menu, click Page setup to add a header to your printed file. There are several options available to add to the header including a company name, logo, and file specific information. Click OK to save the header information for the open file or click Save as default to apply the information to all files.


Shortcut keys

Shortcut keys

Home > Getting started > Shortcut Keys

Many of the menu selections can be chosen with keyboard combinations. These shortcuts can make repetitive actions easier.

Open | CTRL + O
Save | CTRL + S
Export offset path | CTRL + E
Print | CTRL + P
Previous view | CTRL + [
Next view | CTRL + ]
Cancel program | ESC
Cut preview | ALT + O
Cycle start | CTRL + F2
Deselect | CTRL + '
Zoom in | CTRL + +
Zoom out | CTRL + -
Zoom dynamic | CTRL + \ (or ALT + middle mouse button)
Zoom pan | ALT + left mouse button
Zoom window | CTRL + W
Orbit | ALT + right mouse button
Clear cutting plot | F12
Apply model | ALT + M
Pause cutting | space bar


Basic cutting process

Basic cutting process

Home > Cutting a part > Basic cutting process

Before you start cutting parts or run the machine tool, be sure you know how to stop it. See Stopping the program.

Cutting a part

  1. Open the part file.

  2. Verify the jet, abrasive, and pump settings.

  3. Set the material properties.

  4. Verify the tool radius.

  5. Verify the cutting speeds.

  6. Apply the cutting model.

  7. Preview the cut.

  8. Click Run Machine in the control panel.

  9. Set the user home position.

    It is recommended to dry run the program before actually cutting the part to verify all settings are correct.

  10. Turn the pump on.

  11. Click Cycle Start in the sidebar.

When you receive the The program has finished message, click OK.

Related Topics

Run machine screen

Setup screen

Dry run


Cut from a point

Cut from a point

Home > Cutting a part > Cut from a point

If it is necessary to stop the program before all contours have been cut, use the Cut from a point feature to restart cutting from any location on the part.

Cut from a point

  1. On the Cutting menu, click Cut from a point.

  2. Click on the drawing just before the location where you want to start cutting.

  3. Click Yes to proceed or No to cancel.

Related topics

Cut from a point setup

Pierce then cut

Pierce all holes first


Pierce all holes first

Pierce all holes first

Home > Cutting a part > Pierce all holes first

Pierce all holes first

On the Cutting menu, click Pierce all holes first.

§ If the cutting head is located at the user home, the piercing program will begin.

§ If the cutting head is not located at the user home, you will be prompted to set the current jet position as the new user home position.

o Click Yes to set the user home at the current position and start the piercing program from there.

o Click No to use the position of the last user-defined home and start the piercing program from there.

o Click Cancel to prevent the piercing program from running. The jet can be repositioned if necessary.

Related topics

Resume piercing


Pierce then cut

Pierce then cut

Home > Cutting a part > Pierce then cut

This feature pierces all holes first at low pressure, automatically raises the pump output pressure, and then cuts the contours at high pressure.

Enable Pierce then Cut feature

On the Cutting menu, click Pierce then cut.

§ If the cutting head is located at the user home, the piercing program will begin.

§ If the cutting head is not located at the user home, you will be prompted to set the current jet position as the new user home position.

o Click Yes to set the user home at the current position and start the piercing program from there.

o Click No to use the position of the last user-defined home and start the piercing program from there.

o Click Cancel to prevent the piercing program from running. The jet can be repositioned if necessary.


Repeat the cutting cycle

Repeat the cutting cycle

Home > Cutting a part > Repeat the cutting cycle

FlowCUT allows you to repeat the cutting cycle. This feature can be helpful for finish work and creating multiple parts.

Repeat the cutting cycle

  1. On the Advanced menu, click Repeat cutting cycle.

  2. Enter the Number of cycles and the Delay time between cycles.

  3. Under Set user home, select Use the same user home or Set new user home at finishing position.

             Selecting Use the same user home will repeat the part program in its original location. Selecting Set new user home at finishing position will begin each repetition at the finishing position of the previous cycle.


Custom dwell

Custom dwell

Home > Pausing the program > Custom dwell

FlowCUT allows two types of custom dwells: suspended or timed. A timed custom dwell holds the position of the jet for the designated time period. A suspended dwell turns off the jet until the user clicks OK.

Define a dwell

  1. On the Edit menu, click Custom dwell or click on the Custom dwell icon [image] to display the entity nodes.

  2. Click on the node to assign a custom dwell.

    If the selected node is at the beginning or end of a cut, the on and off procedures are customized instead of adding a dwell. A custom dwell cannot be applied to the last node of a drawing.

  3. In the Pause section, select Timed pause or Suspended pause.

  4. For a timed pause, type the number of seconds.

  5. A suspended pause will pause the program and you must acknowledge the suspended dwell message that is displayed in order to restart the program.

    The Suspended dwell message can be customized by the user.

  6. To deactivate the custom dwell function, click on the Custom dwell icon or on the Edit menu, click Custom dwell.

When a custom dwell is assigned to a node, the node is displayed with a red circle around it.


Suspended dwell message

Suspended dwell message

Home > Pausing the program > Suspended dwell message

Assign a message to a suspended dwell

  1. On the Edit menu, select Suspended dwell message.

  2. Enter the desired message, then click OK.


Duplicate the part

Duplicate the part

Home > Manipulating a part > Duplicate the part

FlowCUT makes it easy to copy a part into a rectangular array. This is helpful when cutting several of the same parts from the same material.

Duplicate the part

  1. On the Edit menu, click Duplicate the part, or click the Duplicate icon [image] to open the Duplicate Parameters dialog box.

    Note: Before duplicating a part a model must be applied. If the menu item and/or icon are disabled, apply the model to enable them.

  2. Type the number of rows and columns, the extend direction (X,Y), and the distance between rows and columns.

  3. Click OK. The cutting table displays the duplicated part.

To change the speeds or setup for an array of parts, you must clear the array, make changes to the original part, then duplicate it again.

Clearing the array

  1. On the Edit menu, click Duplicate the part, or click the Duplicate icon [image] to open the Duplicate Parameters dialog box.

  2. Click Clear.

 When clicking between parts, you can see rapid traverse lines on the screen, but they don't exist as real lines. Using the Single select tool does not highlight the rapid traverse line; however, when using Cut from a point, you can click a rapid traverse between parts to start the cut.


Move all entities

Move all entities

Home > Manipulating a part > Move all entities

Move all entities

  1. On the Edit menu, click Move all entities. This automatically selects all entities (note the color change).

  2. Click anywhere on the screen to move the entities to the new location.

  3. Click again to place the entities and release the cursor.


Rotate coordinate system

Rotate coordinate system

Home > Manipulating a part > Rotate coordinate system

For large sheets of material that are hard to position, the coordinate system can be rotated to reposition the cutting head over the material on the cutting table. If the material is not set up on the cutting table aligned with the X,Y axes of the machine, then you can rotate the coordinate system rather than moving the material.

Rotate the coordinate system

  1. On the Advanced menu, click Rotate coordinate system.

  2. Under Input method, click Coordinate input or Angle input.

    Coordinate input:

    1. Click anywhere in the drawing area, and manually move the cutting head to the first point above the material, then select the First point check box.
    2. Click anywhere in the drawing area, and manually move the cutting head to another corner point on the material, then select the Second point check box.

    Angle input:

    Type the angle value in the Rotation angle field.

  3. Click Set rotation.

    FlowCUT will return to the Setup screen.

  4. Click Run machine to reapply the model and return to the Run machine screen.

FlowCUT will now define the machine home as the point you have specified and will rotate the cutting setup accordingly. This setup will remain in effect until the rotation specification is removed.

Remove the rotation specification

  1. On the Advanced menu, click Rotate coordinate system.

  2. Click Remove rotation.

FlowCUT will re-establish the coordinate system to be in alignment with the X,Y axes of the machine.

After setting the rotation, the drawing will be rotated to indicate that the coordinate system has been rotated. When running the program, the circles showing the position of the jet will be rotated from the part drawing. All files will retain the rotation information during the current FlowCUT session or until the rotation has been removed.


Scale the part

Scale the part

Home > Manipulating a part > Scale the part

Use the scale feature to rescale parts before cutting.

An input area to specify a scaling factor is located to the right of the Tool radius input area in the sidebar under the materials option list in the Main Screen interface.


Tool offset

Tool offset

Home > Tool Offset

Tool offset is the position of the jet center as it relates to the cutting line. For abrasive waterjet cutting, this is typically 10-15% larger than half of the mixing tube diameter. Also called tool radius, jet offset, or cutter compensation, offset accommodates kerf and is usually set to the waste side of the part to ensure parts are cut to tolerance.

It is recommended that a right offset is used for Dynamic Waterjet cutting. FlowCUT will warn you if you're using Dynamic Waterjet with a drawing that has a left offset.

Related Topics

View offset path

Turn off tool offset

Show entities with no offset

Recover tool offset

Turn off overcut modification

View modified overcut areas

Export offset path


View offset path

View offset path

Home > Tool Offset > View offset path

View offset path

After applying the cutting model, you can view the drawing path (displayed in red), the offset path (displayed in the cut speed color), or both paths. Use these tools to compare the two paths and note any potential problems before cutting the part.

  • On the View menu, click Draw path to display the original part geometry.

  • On the View menu, click Draw offset path to display the actual tool offset after it has been calculated by the cutting model.

  • On the View menu, click Draw both paths to display the original part geometry and the tool offset.


Turn off tool offset

Turn off tool offset

Home > Tool Offset > Turn off tool offset

Turn off tool offset for selected geometries

In some applications, the tool offset may interfere with part geometry (for example, a very tight inside corner). Use this tool to disable the offset in selected areas to preserve the geometry of the part.

  1. Select the entities.

  2. On the Postprocess menu, click Turn off tool offset.

Related Topics

Tool offset

Show entities with no tool offset


Show entities with no offset

Show entities with no offset

Home > Tool Offset > Show entities with no offset

Show entities with no offset

On the View menu, click Show entities with no offset to highlight entities where the offset has been turned off.

Related Topics

Tool offset

Turn off tool offset


Recover tool offset

Recover tool offset

Home > Tool Offset > Recover tool offset

Recover tool offset

On the Postprocess menu, click Recover tool offset. The original offset will be applied to all entities.

On the File menu, click Export offset path as to save the file as a .ord, which can be read by FlowPATH and modified if desired.

Related Topics

Tool offset

Turn off tool offset

Export offset path


Turn off overcut modification

Turn off overcut modification

Home > Tool Offset > Turn off overcut modification

Turn off overcut modification

The overcut modification feature will detect and correct areas where the offset path cuts into the original part geometry. The feature is turned on by default, but can be turned off if needed.

On the Postprocess menu, click Turn off overcut modification. A check mark will appear next to this menu item when overcut modification is turned OFF.

Related Topics

Tool offset

View modified overcut areas


View modified overcut areas

View modified overcut areas

Home > Tool Offset > View modified overcut areas

View modified overcut areas

The overcut modification feature will detect and correct areas where the offset path cuts into the original part geometry.

  • To view areas of a part that have been modified to correct overcuts, first apply the cuttting model, then on the View menu, click Modified overcut areas.

 This won't work if one side of the overcut entity is slightly longer and has many small offset entities and the other side has one or two longer offset entities. Some overcut problems will still need to be fixed manually.

Related Topics

Tool offset

Turn off overcut modification


Export offset path

Export offset path

Home > Tool Offset > Export offset path

The offset path of a FlowCUT file can be exported as a .ord file.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Export an offset path

  1. On the File menu, click Export offset path as.

  2. Type a name for the file and choose the location to save it to.

Related Topics

Tool offset

Recover tool offset


Properties

Properties

Home > Changing part properties

Properties displays the following information about an entity:

§ Entity type

§ Cutting speed

o Percent speed

o Calculated speed (in./mm per minute)

§ Coordinates of the entity

§ Radius (arcs)

§ Length

§ Unit

To view the properties of an entity

  1. Select an individual entity on the part.

  2. On the Options menu, click Properties.

  • The Properties option is only available when you have selected a single entity. It is disabled when multiple entities are selected.

  • The only value that can be edited from this screen is the Cutting speed. All other values are read-only.

Related topics

Assign cutting speeds

Restoring overwritten cutting speeds


Assign cutting speed

Assign cutting speed

Home > Changing part properties > Assign cutting speed

All entities are assigned a percent speed value in FlowCUT. This value is then translated into inches per minute or millimeters per minute depending on the unit settings. The percent speed value is represented by the color of the entity, and the calculate speed value can be viewed in the properties of the entity.

Assign percent speed

  1. Select one or more entities.

  2. On the Postprocess menu, point to Assign speed, then click a speed value from the list or Custom speed.

Overwrite calculated speed

  1. Select an entity.

  2. On the Options menu, click Properties.

             The Properties option is only available when you have selected a single entity. It is disabled when multiple entities are selected.

  3. Click Overwrite, then type a new speed (in inches or millimeters per minute) for the selected entity.

    The Overwrite option is only available from the Setup screen.

Related Topics

Properties

Restoring overwritten cutting speeds


Cut contour properties

Cut contour properties

Home > Changing part properties > Cut contour properties

The Cut Contour Properties command allows the user to modify various properties of a cut contour. A contour is defined as all connected geometry between a lead-in and lead-out.

When the command is activated, the selection is cleared, a new selection tool is activated, and a new pop-up window appears.

The selection tool allows the user to select entire cut contours. The tool has the same familiar functionality found in other selection tools. The deselect and the select all cutting lines are the only other selection tools available during the cut contour properties command. Activating any other selection tool will end the command.

The pop-up window shows the properties that can be tweaked for each cut contour. The command remains active as long as the popup window is present.

The window operates in two modes:

  • If nothing is selected, the properties window will display the values of the cut contour that the cursor is hovering over.

  • If there are one or more cut contours selected, the properties window will display the properties for that contour, regardless of what the cursor is hovering over.

Adjust cut contour properties

  1. On the Postprocess menu, click Cut contour properties.

  2. Click the property to type a new parameter.

    • There are two properties that can be customized:

      • Tool Radius: A specific tool radius can be set for a given cut contour. The list contains the last 10 values used and a default value.

      • Use Dynamic: The use of dynamic cutting can be turned off for a given cut contour. This option is available only if the machine is equipped with Dynamic Waterjet capabilities.

The Offset Path view displays which cut contours have been modified:

  • Contours using the global tool radius and dynamic flag will have a red offset line.

  • Contours with a customized dynamic flag and global tool radius will have a thicker offset line.

  • Contours with a customized tool radius and global dynamic flag will have a yellow offset line.

  • Contours with a customized tool radius and customized dynamic flag will have a thicker yellow offset line.

The Apply Model and Draw Both Offset Path commands can be selected while the cut contour properties command is active.


Restoring overwritten cutting speeds

Restoring overwritten cutting speeds

Home > Changing part properties > Restoring overwritten cutting speeds

When calculated speeds have been overwritten in the properties screen, it is possible to view all overwritten entities and then restore the original speed for one or more entities.

View entities that have been overwritten

  • On the View menu, click Show overwritten entities to highlight all entities that have overwritten speed values.

Restore overwritten speed values for a single entity

  1. Select an entity.

  2. On the Options menu, click Properties.

  3. Click Overwrite, then click Delete.

    The Overwrite option is only available from the Setup screen.

Restore overwritten speed values for all entities

  • On the PostProcess menu, point to Assign speed, then click Delete overwritten for all.

Related Topics

Assign cutting speeds

Properties


Jog and rapid traverse setup

Jog and rapid traverse setup

Home > Jogging the machine > Jog and rapid traverse setup

There are three ways to jog the machine: continuously, jog to a point, or incrementally. The speed and distance that these methods use are defined in the Jog Property dialog.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Changing the jog speed

Use these settings to define the speed the machine will travel when jogging continuously or to a point. Select the jog speed in the sidebar of the run machine screen before executing a jog command.

  1. On the Setup menu, click Jog and rapid traverse.
  2. Type a value for High speed. This value cannot exceed the maximum speed allowed by the machine.
  3. Type a value for Low speed. This value must be less than 40 in./min (1016 mm/min), and is also used when the machine travels to machine and user home positions.
  4. Click OK to save the values for the current session only, or Save as default to make the changes permanent.

Changing the step-jog length

Use this setting to define the length of one step-jog when jogging incrementally.

  1. On the Setup menu, click Jog and rapid traverse.
  2. Type a value for Length of one step-jog.
  3. Click OK to save the values for the current session only, or Save as default to make the changes permanent.

Changing the rapid traverse speed

Use this setting to define the speed the machine will travel during rapid traverse moves.

  1. On the Setup menu, click Jog and rapid traverse.
  2. Type a value for Rapid traverse speed.
  3. Click OK to save the values for the current session only, or Save as default to make the changes permanent.

Related Topics

Jog continuously

Jog to a point

Jog incrementally


Jog continuously

Jog continuously

Home > Jogging the machine > Jog continuously

Jog continuously

  • Press the arrow keys on the keyboard.

  • Move diagonally by pressing two arrow keys simultaneously.

  • Motion will stop when the key is released.


Jog incrementally

Jog incrementally

Home > Jogging the machine > Jog incrementally

Jog incrementally or one step at a time

  • Click the up, down, right, or left arrows on the jog/home controls located in the control panel in the Run machine screen to precisely jog one step at a time.

  • To customize the size of the step-jog increment, on the Setup menu, click Jog and rapid traverse.

Related topics

Jog and rapid traverse setup


Jog to a point

Jog to a point

Home > Jogging the machine > Jog to a point

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Jog in a specific direction

  1. On the Cutting menu, click Jog to a point.

  2. Type in the jog distance.

  3. Click the desired direction. If the direction is Arbitrary, type in the Angle.

  4. Click OK to start the jog.

Jog to a point

  1. On the Cutting menu, click Jog to a point.

  2. Click Machine coordinates or User-defined coordinates, then type the X and Y values for the point you want to jog to.

             Machine coordinates are based on actual machine home as (0,0), which is front left on the table. User-defined coordinates are based on user-define home as (0,0).

  3. Click OK to start the jog.

Jogging the Z axis

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink
  1. On the Cutting menu, click Jog to a point.
  2. Click the Z tab.
  3. Type in the jog distance.
  4. Click the desired direction, Up or Down.
  5. Click OK to start the jog.

Jogging the A,B/B,C motors

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink
  1. On the Cutting menu, click Jog to a point.
  2. Click the A,B or B,C tab.

            A,B will be displayed for Dynamic Waterjet systems, and B,C will be displayed for Dynamic XD Waterjet systems.
  3. Select the check box for the motor(s) you want to jog, then type the degrees to jog the motor(s).
  4. Click Clockwise or Counterclockwise to indicate the direction to jog the motor.
  5. Click OK to start the jog.

To cancel a jog in motion, press the Esc key.

Related Topics

Jog and rapid traverse setup


Dynamic Waterjet setup

Dynamic Waterjet setup

Home > Dynamic Waterjet

The Dynamic Waterjet compensates for taper and trailback by using a combination of electro-mechanical hardware devices and software. This section describes additions and changes to the software when the Dyanmic Waterjet is used.

For the Dynamic Waterjet to work properly, it must be given correct information about the cutting head and the material to be cut. See Define Jet Setup for information on the Jet Setup dialog box.

Do not "cheat' the FlowCUT speed models by entering a different material thickness. If an incorrect material thickness is entered, the part may not be cut as expected. The Dynamic Waterjet tilts the cutting head to compensate for the taper expected with the selected material thickness. The difference between the incorrectly entered thickness and the actual thickness will result in non-vertical walls on the part.

Critical process settings

To be successful using the Dyanmic Waterjet, use the recommended cutting head configuration settings. Failure to use the recommended settings reduces the effectiveness of the Dyanmic Waterjet.

Water pressure | 55,000 psi (3793 bar) | 60,000 psi (4137 bar) | 87,000 psi (6000 bar)
High-pressure orifice diameter | 0.014 in. (0.356 mm) | 0.014 in. (0.356 mm) | 0.003 to 0.015 in. (0.125-0.381 mm)
Mixing tube length (required) | 4 in. (101.6 mm) | 4 in. (101.6 mm) | 4 in. (101.6 mm)
Mixing tube diameter | 0.04 in. (1.02 mm) | 0.04 in. (1.02 mm) | 0.04 in. (1.02 mm)
Abrasive flow rate | 1.2 lb/min (0.54kg/min) | 1.2 lb/min (0.54kg/min) | 1.2 lb/min (0.54kg/min)
Material thickness | 0.1-1.5 in. (2.54-38.1 mm) | 0.1-1.5 in. (2.54-38.1 mm) | 0.1-1.5 in. (2.54-38.1 mm)
Standoff | 0.05-0.1 in. (1.27-2.54 mm) | 0.05-0.1 in. (1.27-2.54 mm) | 0.05-0.1 in. (1.27-2.54 mm)

Related Topics

Material fixturing

Setting tool length and standoff

Arc breaking setup

Lead and taper angle


Dynamic Waterjet arc breaking

Dynamic Waterjet arc breaking

Home > Dynamic Waterjet > Dynamic Waterjet arc breaking

The default values in the Arc Breaking Criteria dialog box can be accessed on the Setup menu, point to Dynamic Waterjet, then click Arc breaking setup.
The criteria should not be changed from the default values.

This utility is available for troubleshooting purposes and under normal circumstances is not used. Please contact Flow Technical Service for more information.

Related topics

Homing (XY, Z, BC)

Setting tool length and standoff

Material fixturing

Lead and taper angle


Dynamic Waterjet homing

Dynamic Waterjet homing

Home > Dynamic Waterjet > Dynamic Waterjet homing

To ensure the cutting head is up and away from any fixtures on the cutting table, home the Z and AB* axes before the XY axes.

Home the axes

  1. Click Home Z, AB-axes* [image] The Z-axis will immediately begin lifting.

 The Z and AB* axes must complete their homing cycles and come to a rest before homing the XY axes.

  1. Click Home XY axes [image] to open the Homing Dialog box.

  2. Click Go to machine home or Go to user-defined home and click OK.

 On machines with multiple Z-axes, the user-defined home position will list the coordinates of the first mast (X,Y, and Z) and the additional mast(s) (X2,Z2). The Y coordinate is common among multiple heads.

  2. To select a previously saved user home position, click Home. Click Go to position and then click the position you want to use. Click Detail to see the settings for the selected position.

  • The X and Y axes must come to a rest before continuing machine operation.

  • The XY user home can also be set on the Cutting menu, click Set XY user home only.

Repositioning the head

If the motion program is stopped during cutting, the head must be returned to a vertical orientation before making another cut. If the head is not vertical when you start up, the following message will be displayed:

  • On the Setup menu, point to Dynamic waterjet, and then click A and B go to user home* to make the head vertical.

*A and B motors are used for Dynamic Waterjet machines, if you have a Dynamic XD machine you will see B and C instead.

Related topics

Saving user homes


Lead and taper angle

Lead and taper angle

Home > Dynamic Waterjet > Lead and taper angle

For some advanced applications, the lead and taper angle can be adjusted. On the Dynamic Waterjet menu, click Lead and taper angle.

 Contact Flow Technical Service before adjusting the angles in this dialog box.

Click to Enlarge Click to Enlarge

Click to Shrink Click to Shrink

Related topics

Homing (XY, Z, BC)

Setting tool length and standoff

Material fixturing

Arc breaking setup


Material fixturing

Material fixturing

Home > Dynamic Waterjet > Material fixturing

There are a few guidelines for fixturing material when using Dynamic Waterjet:

  • Material must be flat.

  • Clamps or fixtures must should not obstruct the Dynamic Waterjet motors so that no collisions will occur.

  • Material must be held tight during the cutting process.


Setting tool length and standoff

Setting tool length and standoff

Home > Dynamic Waterjet > Setting tool length and standoff

Tool length

The tool length is the distance from the axes of rotation for the Dynamic waterjet motors to the tip of the mixing tube. This value is based on hardware geometry and should remain constant.

 This value should be checked periodically to confirm the correct cutting head assembly.

Standoff

The standoff is the distance from the tip of the mixing tube to the material. It is recommended that you set a standard value and not change it.

 If the machine is equipped with one or more height sensors, the height sensor will adjust the standoff setting. Any standoff setting entered in the Dynamic waterjet setup screen will be overwritten. If the height sensor is not used, the operator must manually set the standoff.

Edit settings

  1. On the Setup menu, point to Dynamic waterjet, then click Dynamic waterjet setup.
  2. Type a value in the Tool length and Standoff fields, then click OK.

 A part file must be open to activate the Dynamic waterjet setup menu item.


Straightness adjustment

Straightness adjustment

Home > Dynamic Waterjet > Straightness adjustment

Vertical positioning of the cutting head is critical because it affects the quality of parts to be cut. The illustration shows an example of what happens to a part if the cutting head is not vertical.

When the Dyanmic Waterjet is installed, the X, Y and Z homing positions are fixed and do not require attention by the user. This is not the case with the B and C motors. Changing mechanical components (e.g. mixing tube or high pressure orifice) on the cutting head can modify the vertical positioning of the cutting head.

Straightness adjustment

Verify that the Z and BC axes are homed. Vertical positioning is normally done manually, unless the system is equipped with an optional automatic alignment station.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

  1. Click the Run machine button in the control panel of the setup screen.

  2. On the Setup menu, point to Dynamic waterjet, then click Straightness adjustment.

Method 1 — Automatic

  1. Click Automatic, then click Apply.

    For machines equipped with the optional automatic alignment station, the alignment routine will initiate when you click Apply .

Method 2 — Manual

Clicking the controls in this dialog box will cause motion of the Dyanmic Waterjet. Clicking the up and down arrows causes the Z-axis to move the amount specified in the Height box.

  1. Position the gauge tip at the top or bottom of the mixing tube in the orientation required to check the B or C motor.

  2. Note the reading of the dial gauge.

  3. Depending on where the gauge tip rests on the mixing tube, click the up or down arrow.

  4. If motor A is being adjusted, enter the mixing tube readings into the appropriate Top reading and Bottom reading boxes.

  5. Click Apply for Motor B.

  6. Repeat steps 3, 4, and 5 until moving up and down causes minimal changes in the reading.

             If the motor rotates in the wrong direction after clicking Apply, the top and bottom readings were entered in to the wrong fields. Enter the values in the correct fields and click Apply. You may need to click Apply twice—once to return to the original positions and again to make the intended corrections.

  7. Repeat steps 1–6 for Motor C.

  8. Click OK to permanently store the adjustments.

  9. Click the Home Z, BC-axes button and verify that the Dyanmic Waterjet homes vertically.

             FlowCUT will store these offset values on the computer hard drive and refer to them when the Dynamic Waterjet is homed. If the mixing tube or orifice changes or the head crashes, the entire process must be repeated.


Assigning a macro to a node

Assigning a macro to a node

Home > Using macros > Assigning a macro to a node

All FlowCUT macro operations are found on the Advanced menu. The menu selections will be disabled if no drawing is open or if FlowCUT is in the Run machine screen.

Assign a macro to a node

  1. On the Advanced menu, point to Assign macro to, then click one of the following macro locations:

    All nodes

    Assigns the macro to every node on the drawing. This option is disabled if the part has been duplicated in FlowCUT.

    All nodes except on/off

    Assigns the macro to every node on the drawing except any jet-on or jet-off locations. This option is disable if the part has been duplicated in FlowCUT.

    Beginning of program

    Assigns the macro to the start of the first entity of the drawing. This can be a cutting line or a rapid traverse line. This option is disabled if the part has been duplicated in FlowCUT.

    End of program

    Assigns the macro to the end of the last entity of the drawing. This can be a cutting line or a rapid traverse line. This option is disabled if the part has been duplicated in FlowCUT.

    Rapid to cutting

    Assigns the macro to all locations where a rapid traverse line transitions to a cutting line (every jet-on location). This option is disabled if the part has been duplicated in FlowCUT.

    Cutting to rapid

    Assigns the macro to all locations where a cutting line transitions to a rapid traverse line. This option is disabled if the part has been duplicated in FlowCUT.

    Beginning of duplicate

    Assigns the macro to the start of the first entity of the first duplicated part. This can be a cutting line or a rapid traverse. This option is disabled for parts that have NOT been duplicated in FlowCUT.

    End of duplicate

    Assigns the macro to the end of the last entity of the last duplicated part. This can be a cutting line or a rapid traverse. This option is disabled for parts that have NOT been duplicated in FlowCUT.

    Custom select

    Allows the user to assign a macro to any node by clicking on the node. This option is disabled if the part has been duplicated in FlowCUT.
  2. In the Macro list, select the macro name.

    When using Custom select, the Macro list will not be displayed until a node has been selected.
  3. Click OK.
  4. Verify the macro placement by noting the square around the node.

Related topics

Macro overview

Viewing macro properties

Editing a macro

Removing a macro

Tips about using macros


Viewing macro properties

Viewing macro properties

Home > Using macros > Viewing macro properties

Use the macro properties window to display the following information associated with the selected macro:

  • Actual macro commands.
  • Assigned execution time.
  • Dwell times.

This screen is for informational purposes only and does not allow editing of a macro.

Viewing macro properties

  1. On the Advanced menu, point to Assign macro to, then click any macro location except the Custom select.
  2. Click the macro name from the Macro list, then click Properties.

Related topics

Macro overview

Assigning a macro to a node

Editing a macro

Removing a macro

Tips about using macros


Editing a macro

Editing a macro

Home > Using macros > Editing a macro

FlowCUT offers two options for editing macros.

  • By user: If you select the By user option, the Macro Setting dialog box shown below is displayed. This option allows you to change values of constants as well as the assigned execution time for a given macro. The controller card commands and comments cannot be changed, although they are visible to the user. This option is available to all FlowCUT users.

  • By technical support: This option allows all attributes of a macro to be edited or a new macro to be constructed, but it is limited to authorized Technical Service personnel and requires a password for access.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Edit a macro

  1. On the Advanced menu, point to Edit macro setting, then click By user.

  2. Click the macro name in the Macro list.
  3. Edit the Execution time if necessary.
  4. Select a constant from the Constants list.
  5. Edit the constant’s value if required.
  6. Click Save to save changes, then click OK.
  7. Verify the changes by performing a dry run.

The fields in the Macro Setting dialog box are defined as follows:

Macro list: This scroll box displays the names of all macros available to the user. When you click on one of the names, the fields below the Macro list are updated to reflect the information for the selected macro. The arrows on the right side of the list allow you to scroll through the number of available selections. This field cannot be edited.

Macro name: This field displays the name selected from the Macro list and cannot be edited.

Execution time: When FlowCUT calculates the time to perform a cut, it has no way of knowing how long a macro needs to run. Type a number in this field to be used for time-of-cut calculations.

Macro type: This value lets FlowCUT know what macro language is being used. This field cannot be edited.

Comments: This scroll box contains useful information about the macro. Arrows on the right side allow you to scroll through comments. This field cannot be edited.

Command: This scroll box contains the listing of macro commands. This is the actual program that is run when the macro is initiated. Arrows on the right side allow you to scroll through the list of commands. This field cannot be edited.

Constants: Although the actual commands of the macro program cannot be changed, FlowCUT allows you to change the value of some global constants. Global constants are identified by a string of text that starts with the three capital letters ICS. They are called global constants because once you assign a value to the text string it will hold that value in all programs that use it. You cannot change the value of a global constant within a program but must do it from the two edit boxes provided by the Constants label. The left box contains a drop-down selection list to display all constants with the selected macro. Click on the constant to be changed and its current value appears in the box on the right. Edit its value in the box on the right if it needs to be changed. Remember that changing the value of a constant will affect any other macros that use that constant. It is also your responsibility to verify that the selected value will operate as planned.

Value type: For proper operation, some constants need to be an integer with no places after the decimal point. The float or integer type is set when the constant is created and cannot be edited. If "integer" is clicked, any numbers after the decimal point are truncated when an edited constant value is saved.

OK: If no changes have been made to the execution time or constant values, click OK to close the Macro Setting dialog box and return to the main FlowCUT screen. If changes have been made without clicking Save, you will be prompted to record changes or ignore them.

Save: Once any changes to the execution time or constants have been made, click Save to record these values.

Cancel: Click Cancel to close the dialog box without recording any changes.

The Macro Setting dialog box also has an auto-prompt feature for saving changes to the macro information. If changes are made to a macro and another macro name is then selected from the Macro list, a dialog box prompts you if changes should be made. Click No to clear all changes made. Click Yes to save the values just as if you had clicked the Save button.

It is highly recommended that all macros be tested thoroughly using the dry run functionality before cutting parts.

Related topics

Macro overview

Assigning a macro to a node

Viewing macro properties

Removing a macro

Tips about using macros


Removing a macro

Removing a macro

Home > Using macros > Removing a macro

Removing a macro

  1. On the Advanced menu, point to Assign macro to, then click the macro location where you want to remove the macro from.
  2. Click Remove, then click Yes.

To remove a macro using the Custom select location, you must click the node on the part where the macro is located before clicking Remove.

Related topics

Macro overview

Assigning a macro to a node

Viewing macro properties

Editing a macro

Tips about using macros


Tips about using macros

Tips about using macros

Home > Using macros > Tips about using macros

While using macros allows powerful customization of the cutting process, there are several finer points that should be understood before you use macros. The following topics cover some common pitfalls when using macros.

The macro menu selections are disabled: The macro functions are only available when a drawing has been loaded. Also, the functions are disabled in the Run machine screen of FlowCUT or if the part has been duplicated.

Macros applied at jet-on or jet-off locations: Any macro applied to a jet-on or jet-off location will override FlowCUT’s standard operation at that point. Any delays that have been set in the Jet Setup screen are ignored.

Macros versus FlowCUT custom dwells: Any macro applied at the same location as a custom dwell will override the custom dwell. When a node has both a macro and custom dwell assigned to it, there will be both a circle and a square around the node. If the macro is removed, the custom dwell will again function.

Multiple macros assigned to the same node: Only one macro can be assigned to a node. The last macro assigned will be the one used.

Unknown status of modal macros after a program stop: During a program stop (i.e., after the ESC key, space bar, or Cycle Stop is pressed), FlowCUT will shut down a prescribed list of functions. However, if the move was due to modal macros, FlowCUT has no way of knowing which items to reactivate when the program is re-initiated. This will be true when using Cycle start [image] or Cut from a point. One way to recover from such a state is to resume the program before the execution of the macro.

Modal macros and cut from a point: Starting a cut in an entity following a modal macro may give unexpected results. This is because FlowCUT has no way of knowing what modal commands may have been implemented in the path before the desired starting point. See the previous note for related information.

Modal macros and suspended pause: If a FlowCUT suspended pause is assigned to a node after a modal macro is operated, FlowCUT will shut down a prescribed list of functions when the suspended pause is reached. However, FlowCUT has no way of knowing what items to activate when motion is re-initiated. One solution is to make a custom macro to function as a suspended pause that will turn on the proper items.

Shutdown during macro operation: If a program stop (i.e., the ESC key, space bar, or Cycle Stop is pressed) occurs during a macro operation, be aware of possible actions beyond FlowCUT’s control. For example, the macro may start another device and then prepare to respond to a signal from that device. If the program is halted, there may be unexpected results if the other device is still expecting to communicate with the program. Verify correct operation of all ancillary devices in the event that the program is halted.

Constants used in multiple macros: Several macros may use the same constant, so changing a constant’s value in one macro may affect another. Take care to avoid unexpected results.

Related topics

Macro overview

Assigning a macro to a node

Viewing macro properties

Editing a macro

Removing a macro


FlowTranslate

FlowTranslate

Home > Using CNC code files

FlowTranslate is an easy-to-use translator that converts CNC (Computer Numerical Controlled) code into an .ord file.

Translator limitations

  • Only geometry and on/off functions are read.

  • Macros and special commands cannot be interpreted. These reside on the NC controller and are not accessible to the machine code file.

Once the settings are saved as default, you do not need to change the NC settings unless a different translator is required.

Related topics

Setup

Create NC file

Edit NC file

G-code reference guide

ESSI reference guide


Setup

Setup

Home > Using CNC code files > Setup

The translation parameters are defined using six dialog boxes. Note that FlowTranslate will not be able to read and understand existing machine code files and convert them into a .ord file if these parameters are not defined correctly:

  • NC settings
  • Advanced NC settings
  • ESSI settings
  • Advanced ESSI settings
  • Color index
  • Feedrate settings

Related topics

Overview

Create NC file

Edit NC file

G-code reference guide

ESSI reference guide


Create NC file

Create NC file

Home > Using CNC code files > Create an NC file

An NC code file can have a different extension, such as .ppg. For the purposes of this procedure, the term NC code file is used.

Create an NC code file

  1. On the FlowTranslate menu, click NC code editor. When the empty NC code window is displayed, type your NC code into it.

  2. On the FlowTranslate menu, click Update NC code to display the cutting path of the new drawing in the parts window.

  3. On the FlowTranslate menu, click Control panel to return to the main application window.

Related topics

Overview

Setup

Edit NC file

G-code reference guide

ESSI reference guide


Edit NC file

Edit NC file

Home > Using CNC code files > Edit an NC file

An NC code file can have a different extension, such as .ppg. For the purposes of this procedure, the term NC code file is used.

Edit an NC code file

  1. On the File menu, click Open.

  2. Select the file and click Open.

  3. On the FlowTranslate menu, click NC code editor.

  4. Edit code by working in the NC-code window. Select the text you want to change by performing the following steps.

    To delete characters:

    • Click at the selected text to be deleted.

    • Press Backspace to delete a character to the left of the insertion point.

    • Press Delete to delete a character to the right of the insertion point.

    To replace existing text:

    • Click at the beginning of the selected text to be replaced.

    • Click and drag to the end of the selected text to be replaced.

    • Type to replace the highlighted text. FlowTranslate automatically deletes the old text and inserts the new text.

    If you select the wrong text, cancel the selection before you continue typing. To cancel the select, click anywhere in the NC code window or press any arrow key on the keybaord. If you do not cancel the selection, the next text entered will replace the selected text.

  5. On the FlowTranslate menu, click Update NC code to display the cutting path of the new drawing in the parts window.

  6. On the FlowTranslate menu, click Control panel to return to the main application window.

Related topics

Overview

Setup

Create NC file

G-code reference guide

ESSI reference guide


ESSI reference guide

ESSI reference guide

Home > Using CNC code files > ESSI reference guide

This defines the ESSI-code. It includes symbols and parameters, ESSI-code functions, standard expressions, and related comments.

Symbols and parameters

The following symbols are often used with ESSI-code.

Symbol | Function
+ | Represents a CCW arc
- | Represents a CW arc
X | Represents a coordinate of axis of X
Y | Represents a coordinate of axis of Y
I | Represents a distance from the start point to the center of the arc along the X-axis
J | Represents a distance from the start point to the center of the arc along the Y-axis

Using ESSI-code

You can enter or retrieve ESSI-code in the NC-code area on the screen. You can also make any changes at any time and save the changes by clicking the Save NC code icon. The following groups of ESSI-code are commonly used in controlling the cutting path of the CNC machine. See program example.

Group 1

This group of functions determines the method of traverse for commanded motion. All functions are modal until replaced by commanding another function in this group.

5 - Rapid traverse on

Function | Use rapid traverse speed
Syntax | 5

6 - Rapid traverse off

Function | Use cutting speed
Syntax | 6

- - Arc interpolation clockwise

Function | Clockwise circular interpolation
Syntax | ++++-
Remarks | The last sign determines the direction of the arc

+ - Arc interpolation counter-clockwise

Function | Counter-clockwise interpolation
Syntax | +++++
Remarks | The last sign determines the direction of the arc

Group 2

The functions of this group control the application of tool radius compensation.

38 | Tool radius compensation Cancel
29 | Tool radius compensation Left
30 | Tool radius compensation Right

Group 3

The functions of this group indicate the measurement unit used for numeric input of feed rates and positioning.

65 - Inch input

Function | Select inch input
Syntax | 65
Remarks | Reads all dimensions as inches. See also 66.

65 - Metric input

Function | Select metric input
Syntax | 66
Remarks | Reads all dimensions in millimeters. See also 65.

Group 4

The commands of this group select the method in which the axis address values will relate to the coordinate system.

77 - Absolute mode

Function | Select absolute positioning mode
Syntax | 77
Remarks | All subsequent positioning is in absolute relation to the current coordination system. See also 78.

78 - Incremental mode

Function | Select incremental positioning mode
Syntax | 78
Remarks | All subsequent positioning is in incremental relation to the current position. See also 77.

Program example

The following program example is used to demonstrate use of ESSI-code. The program uses commonly used ESSI-code to cut a bell-shaped part using two axes.

*F

;An example of ESSI file

3

4

65;select inch programming

61;rapid optimization on

-58000-60000

7;jet on

-2-1002

-10-6636

+9142-734-635-65212-

+4348-1486-2501-14421-

+3562-5148-4460-6892-

+200-1796-55254-7062-

+2164-19450

+1340-3182+8232+1594+

+6738-3178+6429+4899+

+-15550

-27486+6

+-8220

-12810+4-6405+-

+6+8216

-27490+

++15544

+4790+1344+123+8768+

+3510+6652-5657+7237+

+1896+18590

+262+1086+25912-5677-

+2450+4266+8388-1981-

+5632+2324+6996-8967-

+8954+784+20068-177672-

++6618

+3187+

+6400++3187+-

+3187

+1000+

8; jet off

64; end of part

Related topics

Overview

Setup

Create NC file

Edit NC file

G-code reference guide


G-code reference guide

G-code reference guide

Home > Using CNC code files > G-code reference guide

This defines the standard G-code used for many CNC machines. It includes symbols and parameters, related G-code, G-code functions, standard expressions, and related comments.

Symbols and parameters

The following symbols are often used with G-code.

Symbol | Function
[ ] | Square brackets in syntax represent that text in between the brackets must be included in the command. If curly bracket sets are included between square bracket pairs, then at least one set of curly bracket commands must be included if there is no other text within the square brackets.
{ } | Curly brackets in syntax represent that text in between them is optional in the command.
X | Represents a coordinate of axis of X.
Y | Represents a coordinate of axis of Y.
N | Represents a number.
I | Represents an I arc radius vector term (X arc center).
J | Represents a J arc radius term (Y arc center).

Using G-code

You can enter or retrieve G-code in the NC code area on the screen. The following groups of G-code are commonly used in controlling the cutting path of the CNC machine. See program example.

Group 1

This group of functions determines the method of traverse for commanded motion. All functions are modal until replaced by commanding another function in this group.

G00 - Positioning

Function | Rapid positioning mode.
Syntax | G00 {Xn,Yn,}
Remarks | All subsequent motion is performed at maximum feed rate. Interpolation is not performed so actual programmed point to point path is unknown. Maximum Axis speed is determined by parameter settings. These speed are specific to each motor axis.

G01 - Linear interpolation

Function | Linear interpolation.
Syntax | G01{Xn,Yn}
Remarks | All subsequent motion is performed at the currently commanded feed rate. Interpolation is performed so actual path is known. Address’ X & Y represent the end point coordinate.

G02 - Arc interpolation clockwise

Function | Clockwise circular interpolation
Syntax | G02 [{Xn,Yn,}{In,Jn}]
Remarks | See also G01

G03 - Arc interpolation counter-clockwise

Function | Counter-clockwise interpolation
Syntax | G03 [{Xn,Yn,}{In,Jn}]
Remarks | See also G01

Group 2

The commands of this group select the method by which axis address values will relate to the coordinate system.

G90 - Absolute mode Function

Function | Select absolute positioning mode.
Syntax | G90
Remarks | All subsequent positioning is in absolute relation to current coordinate system. See also G91.

G91 - Incremental mode function

Function | Select incremental positioning mode.
Syntax | G91
Remarks | All subsequent positioning is in incremental relation to current position.

Group 3

The functions of this group control the application of tool radius compensation.

G40 | Tool radius compensation cancel
G41 | Tool radius compensation Left
G42 | Tool radius compensation right

Group 4

The functions of this group indicate the measurement unit used for numeric input of feed rates and positioning.

G20 - Inch input

Function | Select inch input mode
Syntax | G20
Remarks | Reads all dimensions as inches. See also G21.

G21 - Metric input

Function | Select metric input mode
Syntax | G21
Remarks | Reads all dimensions as millimeters See also G20.

Program example

The following program example is used to demonstrate use of G-code. The program uses commonly used G-code to cut a rose-shaped part using two axes.

%

G20

G90

G00 X-.0924 Y-.0383

G41

M07

G01 X0. Y0.

X.0821 Y.0341

G02 X2.7518 Y.427 I2.3664 J-6.8113

G02 X3.1124 Y.7909 I0.3286 J0.0349

G03 X3.3949 Y.9385 I-0.0312 J0.4038

G02 X3.0284 Y.4577 I-0.3977 J-0.077

G03 X2.8933 Y.4197 I0.1343 J-0.7369

G02 X4.6257 Y0.0969 I-0.4449 J-7.1969

G02 X5.0446 Y.4068 I0.3304 J-0.0085

G03 X5.3484 Y.5031 I0.0394 J0.4031

G02 X4.904 Y.0932 I-0.405 J-0.0068

G03 X4.7182 Y.0686 I0.0043 J-0.749

G03 X5.9177 Y.0753 I0.5882 J2.0817

G03 X6.0173 Y.362 I-0.0682 J0.1843

G03 X5.7447 Y.4531 I-0.1941 J-0.1277

G02 X6.0985 Y.3907 I0.1374 J-0.2559

G02 X6.1363 Y.3318 I-0.165 J-0.1476

G02 X6.5547 Y.63 I0.3299 J-0.0203

G03 X6.8585 Y.7263 I0.0394 J0.4031

G02 X6.7688 Y.4651 I-0.405 J-0.0068

G01 X6.8073 Y.4563

G02 X6.9944 Y.3774 I-0.0886 J-0.4712

G03 X7.0793 Y.3425 I0.1364 J0.2113

G03 X7.0187 Y.2658 I0.1844 J-0.2079

G02 X6.8851 Y.094 I-0.4353 J0.2010

G01 X6.8552 Y.0621

G02 X7.0274 Y-.1259 I-0.1974 J-0.3537

G03 X6.7114 Y-.1676 I-0.1093 J-0.39

G02 X6.2739 Y-.1614 I-0.2153 J0.2508

G02 X6.2077 Y-.355 I-0.2188 J-0.0333

G02 X6.0015 Y-.435 I-0.2002 J0.2104

G03 X6.1581 Y-.3527 I-0.0217 J0.2313

G03 X5.9589 Y-.0473 I-0.159 J0.114

G02 X4.6071 Y-.0339 I-0.653 J2.313

G03 X3.8292 Y.1672 I-2.1587 J-6.7434

G03 X3.9931 Y.0977 I0.3724 J0.6499

G02 X4.3087 Y-.4179 I-0.0721 J-0.3986

G03 X4.0427 Y-.2423 I-0.3381 J-0.223

G02 X3.7289 Y.1865 I0.0017 J0.3305

G03 X.1248 Y-.0889 I-1.2804 J-6.9637

G01 X.0821 Y.0341

X.0538 Y.0938

X.011 Y.1842

M08

G40

G00 X0.0 Y0.0

M30

%

Related topics

Overview

Setup

Create NC file

Edit NC file

ESSI reference guide


Defining height sensor

Defining height sensor

Home > Using optional equipment > Height sensor > Defining height sensor

The Height Sensor setup tab will only be displayed if you have one or more height sensor(s) installed on your cutting machine. The height sensor is an optional piece of equipment that senses the height of the waterjet or abrasivejet above the material and operates in the mode established in the Height Sensor Setup tab.

To define the height sensor settings, complete all sections in the Height Sensor Setup tab as follows. If you have more than one height sensor, the settings in this dialog box will control all sensors that are turned on.

Cutting head movement

  • Click Down at jet-on and up at jet-off if you want the cutting head to drop down to the part at the start of a cut and lift up at the end of the cut (before the rapid traverse).
  • Click Always down if you want the cutting head to drop down at the start of a cut and not lift up again until the end of the program.

Sensor operation

  • Click Always on during cutting if you want the sensor to remain on and adjust the standoff during the cut; if Always down is clicked in the Cutting head movement section, the sensor will also remain on during rapid traverses.
  • Click Turn off after setting height if you want the sensor to turn off after the cutting head drops down to set the height. You can set the jet standoff distance between the nozzle and the material, and the sensor will not adjust standoff during the cut or rapid traverse.

Cutting head lifting options

  • You can direct the machine to leave the cutting head down if the rapid traverse is less than a given distance. In the box labeled Do not lift cutting head if rapid traverse is less than, type the rapid traverse distance. If a value of 0 is used, the sensor will always lift for the rapid traverse moves.

This option is only available if the Down at jet-on and up at jet-off function is checked in the Cutting head movement section.
  • Specify the Time for cutting head to reach up position, by typing a value in seconds. The larger the value, the higher the lift.

This option is only available if the Use park position switch check box is NOT checked. The Use park position switch check box only applies when multiple cutting heads are used. If this option is checked, the cutting heads will be lifted to the park position height rather than being lifted for a fixed amount of time. Therefore, if this option is checked, the Time for cutting head to reach up position option is disabled.

Turn off sensor when speed is over

When higher speeds are being used, you might want to deactivate the height sensor. Enter a value in the box labeled Turn off sensor when speed is over to deactivate the height sensor when programmed speeds exceed this value.

FlowCUT will only look at this value to deactivate the height sensor and will not take into account the feedrate override if it is used to set speeds at higher rates.

Estimated time for setting height

The value entered into this box is used for cycle time/cost calculations only and will have no effect on height sensor operation. Enter an estimate of how long it takes to lift the cutting head and drop it down to the correct height.

Save settings

Clicking the OK button after changing settings will save the settings for the current FlowCUT session. This means that the settings will be applied to every file opened until FlowCUT is closed and re-opened, then the settings will revert to the default.

Clicking the Save as default button after changing settings will save the settings for all FlowCUT sessions. This means that even after closing and re-opening FlowCUT the settings saved as default will be applied.

If a file has previously been saved with a particular setup, the settings for that file will be reflected instead of the ones applied for that session and/or the default FlowCUT settings.

Related Topics

Define jet setup

Height sensor control


Height sensor control

Height sensor control

Home > Using optional equipment > Height sensor > Height sensor control

Height sensors (if the machine is equipped with them) can be enabled or disabled in the sidebar of the Run Machine screen.
A shapecutting system can have up to four height sensors.

Enable a height sensor

  • Click the checkbox for the desired height sensor. Height sensor selection cannot be changed after the Cycle Start button has been clicked.

Related Topics

Define jet setup

Define height sensors


Edge finder

Edge finder

Home > Using optional equipment > Part location devices > Edge finder

Hardware offset and calibrations values can be entered for the user to find either the center of a hole or the edge of a work piece.

Activate edge finder functionality

  1. Set up edge finder device.

  2. Click Option Component [image].

  3. Click Edge Finder ON for material alignment.

  4. On the Setup menu, click Part feature location setting.

Calibrate | Calibrates the position of the edge finder.
Find center of a circular hole | Finds the center of a circular hole.
Find center of a circular disc | Finds the center of a disc.
Find corner | Finds the corner of a rectangular piece of material or rectangular hole in a sheet of material.
Find edge | Finds the side edge of a rectangular piece of material or rectangular hole in a sheet of material.


Calibrate (Edge Finder)

Calibrate (Edge Finder)

Send Feedback

Home > Using optional equipment > Part location devices > Edge finder > Calibrate

Calibrate the edge finder

  1. Cut a circular hole on a piece of material, setting the center of the circle as the user home.

             Any size circle will work, but it must be perfectly circular and the material must not move.

  2. Install the edge finder at the nozzle in place of a mixing tube.

             The edge finder and adapter should fit in the mixing chamber just like a mixing tube.

  3. Install a jumper wire with alligator clips between the edge finder and the material.

  4. On the Setup menu, click Part feature location setting, and then click Calibrate.

    Click to Enlarge Click to Enlarge

    Click to Shrink Click to Shrink

  5. Position the edge finder inside the hole, close to its left-hand circumference. Lower it down until the center of the ball tip of the edge finder is at the same level as or just below the top surface of the material.

  6. Jog in a negative X-axis direction until it comes in contact with the inside wall of the hole.

             A red light comes on when there is contact between the edge finder and the material. Depending on the accuracy desired, adjust the jog length in the Jog and Rapid Traverse dialog box.

  7. Select the Set P1 X check box.

  8. Jog the edge finder in a positive X-axis direction until it comes in contact with the inside wall along the right-hand circumference of the hole.

  9. Select the Set P2 X check box.

  10. Jog the edge finder in a negative X-axis direction away from the right-hand circumference, so that it is positioned inside the hole.

  11. Jog in a positive Y-axis direction until the edge finder comes in contact with the inside wall along the top of the hole's circumference.

  12. Select the Set P1 Y check box.

  13. Jog the edge finder in a negative Y-axis direction until it comes in contact with the inside wall along the bottom of the hole's circumference.

  14. Select the Set P2 Y check box.

  15. Under Actions, click Calibrate.

  16. Click OK to calculate the offset (radius of the ball of the edge finder). The offset displays in the dialog box.

Related topics

Find center of a circular hole

Find center of a disc

Find edge

Find corner


Find center of a circular hole (Edge Finder)

Find center of a circular hole (Edge Finder)

Send Feedback

Home > Using optional equipment > Part location devices > Edge finder > Find center of a circular hole

Find center of a circular hole

  1. On the Setup menu, click Part feature location setting, then click Find Center.

    Click to Enlarge Click to Enlarge

    Click to Shrink Click to Shrink

  2. Position the edge finder inside the hole close to the left-hand circumference. Lower it down until the center of the ball tip of the edge finder is at the same level or just below the top surface of the material.

  3. Jog in a negative X-axis direction until it comes in contact with the inside wall of the hole.

             A red light comes on when there is contact between the edge finder and the material. Depending on the accuracy desired, adjust the jog length in the Jog and Rapid Traverse dialog box.

  4. Select the Set P1 X check box.

  5. Jog the edge finder in a positive X-axis direction until it comes in contact with the inside wall along the right-hand circumference of the hole.

  6. Select the Set P2 X check box.

  7. Jog the edge finder in a negative X-axis direction away from the right-hand circumference, so that it is positioned inside the hole.

  8. Jog in a positive Y-axis direction until it comes in contact with the inside wall along the top of the hole's circumference.

  9. Select the Set P1 Y check box.

  10. Jog the edge finder in a negative Y-axis direction until it comes in contact with the inside wall along the bottom of the hole's circumference.

  11. Select the Set P2 Y check box.

  12. Under Actions, click Set center as user home.

  13. Click OK to set the center of the circular feature as the user home.

Related topics

Calibrate the edge finder

Find center of a disc

Find edge

Find corner


Find center of a disc (Edge Finder)

Find center of a disc (Edge Finder)

Send Feedback

Home > Using optional equipment > Part location devices > Edge finder > Find center of a disc

Find center of a disc

  1. On the Setup menu, click Part feature location setting, then click Find Center.

    Click to Enlarge Click to Enlarge

    Click to Shrink Click to Shrink

  2. Position the edge finder just outside of the disc close to its left-hand circumference. Lower it until the center of the ball of the edge finder is at the same level or just below the top surface of the disc.

  3. Jog in a positive X-axis direction until it comes in contact with the outside wall of the disc.

             A red light comes on when there is contact between the edge finder and the material. Depending on the accuracy desired, adjust the jog length in the Jog and Rapid Traverse dialog box.

  4. Select the Set P1 X check box.

  5. Raise the Z-axis so the edge finder will clear the top surface of the disc.

  6. Jog the edge finder in a positive X-axis direction until it is just outside of edge along right-hand circumference of the disc.

  7. Lower the Z-axis until the center of the ball tip of the edge finder is at the same level or just below the top surface of the disc.

  8. Jog in a negative X-axis direction until it comes in contact with the outside wall of the disc.

  9. Select the Set P2 X check box.

  10. Raise the Z-axis so the edge finder clears the top surface of the disc.

  11. Jog the edge finder in a negative X-axis direction away from the right-hand circumference, so that it is positioned above the disc.

  12. Jog in a positive Y-axis direction until it is just outside of the edge along top of the disc's circumference.

  13. Lower the Z-axis until the center of the ball of the Edge Finder is at the same level or just below the top surface of the disc.

  14. Jog in a negative Y-axis direction until it comes in contact with the outside wall along the top of the disc's circumference.

  15. Select the Set P1 Y check box.

  16. Raise the Z-axis so the edge finder clears the top surface of the disc.

  17. Jog the edge finder in a negative Y-axis direction until it is just outside the edge along the bottom of the disc's circumference.

  18. Lower the Z-axis until the center of the ball tip of the edge finder is at the same level or just below the top surface of the disc.

  19. Jog in a positive Y-axis direction until it comes in contact with the outside wall along the bottom of the disc's circumference.

  20. Select the Set P2 Y check box.

  21. Under Actions, click Set center as user home.

  22. Click OK to set the center of the circular feature as the user home.

Related topics

Calibrate the edge finder

Find center of a circular hole

Find edge

Find corner


Find corner (Edge Finder)

Find corner (Edge Finder)

Send Feedback

Home > Using optional equipment > Part location devices > Edge finder > Find corner

Find a corner of a rectangular piece of material.

The following is for finding the bottom left corner of a rectangular piece of material.

 This process requires some manual calculations to be done by the operator.

  1. On the Setup menu, click Part feature location setting, then click Calibrate.

  2. Type 0 (zero) in the X and Y calibration values and then click Find Corner.

    Click to Enlarge Click to Enlarge

    Click to Shrink Click to Shrink

  3. Jog the edge finder until it is just outside of the bottom edge of the material.

  4. Lower it until the center of the ball tip of the edge finder is at the same level or just below the top surface of the material.

  5. Jog in a positive Y-axis direction until it makes a contact with the material.

  6. Select the Set P1 X check box.

             This position becomes the first of two reference points used to calculate the rotation angle.

  7. Jog the edge finder in a negative Y-axis direction away from the material.

  8. Jog the edge finder in a positive X-axis direction along the same edge (it is best to cover most of the length of the edge for an accurate result), until it makes contact with the material.

  9. Select the Set P2 X check box.

  10. Jog the edge finder in negative Y-axis direction away from the material.

  11. Jog in a negative X-axis direction and then in a positive Y-axis direction to go around the outside bottom left corner.

  12. Jog the edge finder in a positive X-axis direction until it makes contact with the material along the left edge close to the bottom left corner.

  13. Select the Set P1 Y check box.

  14. Jog the edge finder in a negative X-axis direction away from the material.

  15. Jog the edge finder in a positive Y-axis direction along the same edge (cover most of the length of the edge for an accurate result).

  16. Jog in a positive X-axis direction until it comes in contact with the material.

  17. Select the Set P2 Y check box.

  18. In order to find the coordinate position of the bottom left corner, add the radius of the ball tip of the edge finder (0.2") to the X and Y coordinate values displayed next to Set corner as user home. Record these calculated values (e.g. on a piece of paper).

  19. Click Cancel.

  20. Jog the edge finder in a negative X-axis direction away from the material.

  21. Raise the Z-axis to clear the top surface of the material. Perform Jog to a point to the user-defined coordinates of the above calculated position.

  22. Click Home [image].

  23. Click Set the current position as user home to set the new user home at the bottom left corner of the material.

Related topics

Calibrate the edge finder

Find center of a circular hole

Find center of a disc

Find edge


Find edge (Edge Finder)

Find edge (Edge Finder)

Send Feedback

Home > Using optional equipment > Part location devices > Edge finder > Find edge

Find the side edge of a rectangular piece of material or a rectangular hole in a sheet of material

  1. On the Setup menu, click Part feature location, then click Find Corner.

    Click to Enlarge Click to Enlarge

    Click to Shrink Click to Shrink

  2. Jog the edge finder until it is outside the bottom edge of the material (near the bottom left corner).

  3. Lower the edge finder until the center of the ball tip of the edge finder is at the same level as or just below the top surface of the material.

  4. Jog in positive a Y-axis direction until it makes a contact with the material.

  5. Select the Set P1 X check box.

             This position becomes the first of two reference points used to calculate the rotation angle.

  6. Jog the edge finder in a negative Y-axis direction away from the material.

  7. Jog the edge finder in a positive X-axis direction along the same edge (cover most of the length of the edge for an accurate result).

  8. Jog in a positive Y-axis direction until it comes in contact with the material.

  9. Select the Set P2 X check box.

             The angle between the edge and the machine's X-axis will be calculated and displayed within the Actions box (X-axis is the reference and angle is measured in CCW direction).

  10. Under Actions, click Set edge as X-axis.

  11. Click OK to rotate the program coordinate system for the calculated angle around the user home in a CCW direction.

  12. On the Advanced menu, click Rotate Coordinate System to recover from this rotated coordinate system.

Related topics

Calibrate the edge finder

Find center of a circular hole

Find center of a disc

Find corner


Laser crosshair pointer

Laser crosshair pointer

Home > Using optional equipment > Part location devices > Laser crosshair pointer

Hardware offset and calibrations values can be entered for the user to find either the center of a hole or the edge of a work piece.

Activate laser functionality

  1. Turn on the laser device.

    • Click on the Option Component button [image] in the sidebar to open the Option Component dialog box.

    • Select Laser Pointer ON for material alignment.

  2. On the Setup menu, click Part feature location setting.

Check distance | Measures the straight distance between two points.
Calibrate | Calculates the nozzle-to-laser crosshair offset.
Find center | Finds the center of a circular hole or the center of a disc.
Find corner | Finds the corner or side edge of a rectangular piece of material or rectangular hole in a sheet of material.


Calibrate (Laser Crosshair Pointer)

Calibrate (Laser Crosshair Pointer)

Send Feedback

Home > Using optional equipment > Part location devices > Laser crosshair pointer > Calibrate

Calculate the nozzle-to-laser crosshair offset

  1. Cut a circular hole on a piece of material, setting the center of the circle as the user home.

             Any size circle will work, but it must be perfectly circular and the material must not move.

  2. Turn on the laser device.

  3. On the Setup menu, click Part feature location setting, and then click Calibrate.

    Click to Enlarge Click to Enlarge

    Click to Shrink Click to Shrink

  4. Position the laser crosshair on the left-hand circumference of the hole, right on the edge.

  5. Select the Set P1 X check box.

  6. Jog the laser crosshair in a positive X-axis direction until it is positioned at the edge of the right-hand circumference of the hole.

  7. Select the Set P2 X check box.

  8. Jog the laser crosshair in a negative X-axis direction away from the right-hand circumference, so it is positioned inside the hole. Jog in the positive Y-axis direction until it is positioned at the edge along the top of the hole's circumference.

  9. Select the Set P1 Y check box.

  10. Jog the laser crosshair in a negative Y-axis direction until it is positioned at the edge along the bottom of the hole's circumference.

  11. Select the Set P2 Y check box.

  12. Under Actions, click Calibrate.

  13. Click OK to calculate the nozzle to laser crosshair offset values. The values are displayed in the dialog box.

Related topics

Check distance

Find center

Find corner


Check distance

Check distance

Home > Using optional equipment > Part location devices > Laser crosshair pointer > Check distance

Measure the straight distance between two points.

  1. Turn on the laser device.

  2. Click Option Component [image].

  3. Select Laser Pointer ON for material alignment.

  4. On the Setup menu, click Part feature location setting. Click the Check distance tab.

    Click to Enlarge Click to Enlarge

    Click to Shrink Click to Shrink

  5. Click in the graphical display area of FlowCUT screen.

  6. Jog the machine to position the laser crosshair at the measurement starting point.

  7. Select the Set as start reference point check box.

  8. Click in the graphical display area of the FlowCUT screen again.

  9. Jog the machine to position the laser crosshair to the measurement ending point.

 Distance displays in real time in the dialog box as the crosshair moves.

Related Topics

Calibrate

Find center

Find corner


Find center (Laser Crosshair Pointer)

Find center (Laser Crosshair Pointer)

Send Feedback

Home > Using optional equipment > Part location devices > Laser crosshair pointer > Find center

Find the center of a circular hole or the center of a disc

  1. Turn on the laser device.

  2. On the Setup menu, click Part feature location setting, then click Find Center.

    Click to Enlarge Click to Enlarge

    Click to Shrink Click to Shrink

  3. Position the laser crosshair to the left-hand circumference of the circular feature, right on the edge.

  4. Select the Set P1 X check box.

  5. Jog the laser crosshair in a positive X-axis direction until it is positioned at the edge along right-hand circumference of the feature.

  6. Select the Set P2 X check box.

  7. Jog the laser crosshair in a negative X-axis direction away from the right-hand circumference, so that it is positioned inside the feature.

  8. Jog in the positive Y-axis direction until it is positioned at the edge along the top of the circumference.

  9. Select the Set P1 Y check box.

  10. Jog the laser crosshair in a negative Y-axis direction until it is positioned at the edge along the bottom of the circumference.

  11. Select the Set P2 Y check box.

  12. Under Actions, click Set center as user home.

  13. Click OK to set the center of the circular feature as the user home.

Related topics

Check distance

Calibrate

Find corner


Find corner (Laser Crosshair Pointer)

Find corner (Laser Crosshair Pointer)

Send Feedback

Home > Using optional equipment > Part location devices > Laser crosshair pointer > Find corner

Find the corner or side edge of a rectangular piece of material or rectangular hole in a sheet of material

  1. Turn on the laser device.

  2. On the Setup menu, click Part feature location setting, and then click Find Corner.

    Click to Enlarge Click to Enlarge

    Click to Shrink Click to Shrink

  3. Jog the laser crosshair to the bottom edge of the material.

  4. Under Edge as X-axis, select the Set P1 X check box.

             This position becomes the first of two reference points used to calculate the rotation angle.

  5. Jog the laser crosshair in a positive X-axis direction to another point along the same edge, but to the right of the first point.

  6. Under Edge as X-axis, select the Set P2 X check box.

             The angle between the edge and the machine's X-axis is calculated and displayed in the dialog box (X-axis is the reference and angle is measured in CCW direction). To find the bottom left-hand corner of the material skip to step 11.

  7. Under Actions, select the Set edge as X-axis check box.

  8. Click OK to rotate the program coordinate system for the calculated angle around the user home in a CCW direction.

  9. To recover from this rotated coordinate system, on the Advanced menu, click Rotate coordinate system.

  10. Jog the laser crosshair to the left-hand edge of the rectangular piece of material.

  11. Under Edge as Y-axis, select the Set P1 Y check box.

             This position becomes the first of two reference points used to calculate the rotation angle.

  12. Jog the laser crosshair in a negative Y-axis direction to another point along the same edge closer to the front of the catcher tank than the first point.

  13. Under Edge as Y-axis, select the Set P2 Y check box.

             The angle between the edge and the machine's Y-axis is calculated and displayed in the dialog box (Y-axis is the reference and angle is measured in CCW direction).

  14. Under Actions, select the Set edge as Y-axis or Set corner as user home.

  15. Click OK.

Related topics

Check distance

Calibrate

Find center


FlowSENSE diagnostic tool

FlowSENSE diagnostic tool

Home > Diagnostics > FlowSENSE diagnostic tool

The FlowSENSE diagnostic tool detects which hardware or software input caused a shutdown or warning. This tool will list the possible causes and indicate which one was triggered.

Click to Enlarge Click to Enlarge

Click to Shrink Click to Shrink

FlowCUT automatically monitors warning conditions during the cutting process. To indicate a warning, the colors of the positional display in the control panel area are inverted in a blinking cycle. FlowSENSE can then be used to determine what is causing the display to flash.

  • On the Advanced menu, click FlowSENSE diagnostic.

The upper portion of the FlowSENSE Diagnostic dialog box contains several buttons and a list window. The lower portion of the box contains the Technical service button and sections labeled Monitor, Command, and Response, all of which are disabled. The Edit and Data log buttons at the top of the screen are also disabled. These sections are not available to the user and are only provided for authorized Technical Service personnel.

List window

The list window displays five columns of information about a given shutdown or warning.

Fault | This column will display an "x" to identify the item that was responsible for the shutdown or warning condition.
Description | The text in the column describes the switch or setting responsible for the shutdown or warning condition. In most cases, this information will allow the fault condition to be located quickly.
Variable | This column lists a variable associated with the description and its more recently observed value. This value is provided for technical service personnel if more advanced troubleshooting is required.
F-Value | This column lists a value that is associated with the variable shown in the previous column and is provided for technical service personnel if more advanced troubleshooting is required.
Type | This column shows the type of F-Value shown in the previous column, which can be either Input, Output, or Info. Input indicates the variable listed is assigned directly to a piece of input hardware; Output indicates that the variable is assigned directly to a piece of output hardware; and Info indicates that the variable is used internally by PLC programs. This information is provided for technical service personnel if more advaned troubleshooting is required.

Shut down list

Used to display only variables specifically designated as those causing a shutdown. The text Shut Down List will appear on the right above the list window to indicate that the shut down list is being displayed.

Warning list

Used to display only variables specifically designated as those causing a warning. The text Warning List will appear on the right above the list window to indicate that the warning list is being displayed.

Pause list

Used to display only variables specifically designated as those causing a pause. The text Pause List will appear on the right above the list window to indicate that the pause list is being displayed.

List all

Used to display all variables from all lists. The text List All will appear on the right above the list window to indicate that all lists are being displayed.

Properties

Select an item in the list window and then click Properties. Information about the item that was selected will be displayed The Properties dialog box contains information used to set up the variable associated with the item selected in the list window. This information is provided for technical service personnel if more advanced troubleshooting is required. However, there may be useful information in the Comments field for general troubleshooting.

Update list

Used to check the status of all variables displayed in the list window and update the display.

Show errors

When an error message appears at the bottom of the Run Machine screen, click Show errors to display the details of the error. Click Acknowledge Errors to clear all errors displayed.

There are some errors that do not register and are not displayed in either the Run machine screen or the Show Errors dialog box. Non-displayed errors may also be cleared by clicking Acknowledge errors.


Service information

Service information

Home > Diagnostics > Service information

FlowCUT contains a service tracking device for selected FLOW pumps.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink
  • On the Setup menu, click Service info. This is a read-only screen that shows the number of hours a pump may run before it must be serviced.
  • You will see a warning before the pump actually shuts down.
Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

After you perform a service operation

  1. On the Setup menu, click Service record.

  2. Enter the requested information, and use the Comments field to describe the service performed (e.g., installing a new part).

The pump will run until the next service interval is completed.


HyperJet and HyperLife Pump

HyperJet and HyperLife Pump

Home > Communicating with the pump > HyperJet and HyperLife Pump

To control your HyperJet or HyperLife pump from FlowCUT, the program will need to establish and maintain a communication connection. FlowCUT does this automatically when going to the Run Machine screen. See the table below if there are problems with the connection.

Message | When it appears | What to do
 | If communication cannot be established between FlowCUT and the pump when going to the Run Machine screen. | Click OK, click Previous screen [image] , and then click Run machine [image] .
 | The pump is in a shutdown state when clicking Pump on [image] . | Click OK, wait 5 seconds, then click Pump on [image] .
 | Communication with the pump is lost after initial connection. | Click OK, click Previous screen [image] , and then click Run machine [image] .


Legal disclaimer

Legal disclaimer

Home > Legal disclaimer

Due to continuing product improvement, the information contained in this document is subject to change without notice. Flow International Corporation shall not be held liable for technical or editorial omissions made herein, nor for any incidental or consequential damage resulting from the use of this material. This document contains information protected by copyright. The software described in this document is furnished under a license agreement. The software may be used or copied only in accordance with the terms of the license agreement. No part of this document shall be reproduced or transmitted in any manner without prior written consent from Flow International Corporation.

DISCLAIMER

All technical data and information provided in this software is done as a service to customers of Flow International Corporation (“Flow”) and consumers of our products. All names, designs, and model numbers of products are trademarks of their respective manufacturers. Specifications of products are subject to change without notice or obligation. Manufacturers may also change or discontinue models of their products without notice or obligation. While Flow endeavors to provide accurate information and descriptions of products, accuracy and completeness cannot be guaranteed. Flow is not responsible for, nor does it have any liability for any incomplete information, inaccurate CAD files, mistakes or typographical errors, including liability for incidental, consequential, or special damages. All products should be inspected and measured promptly upon delivery and certainly before any improvements or alterations are done in anticipation of or preparation for installation. Flow assumes no liability for the use of such information or for any damages incurred through its use or application.

Nothing contained in this [publication/software] is to be construed as contractual or providing any form of warranty or representation on the part of Flow. FLOW MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY OF MERCHANTABILITY OR OF FITNESS FOR A PARTICULAR PURPOSE, AS TO THE INFORMATION CONTAINED HEREIN OR THE PRODUCTS DESCRIBED HEREIN.

Flow International Corporation
23500 64th Avenue South
Kent, WA 98032 USA

FlowMaster®, FlowPATH®, FlowCUT®, FlowNEST® are registered trademarks of Flow International Corporation.

PathSequencer™ is a trademark of Flow International Corporation.

Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

©1997-2015 Flow International Corporation. All rights reserved.


What's new

What's new

Home > What's new

New Features

New pump communication protocol

Added the ability to communicate with a new pump controller used on HyperJet and HyperLife pumps.

Bug Fixes

Language Display

Some dialog boxes had fields that were being cut off in non-English languages. This issue has been resolved.

Unprogrammed circular move

On some parts, a very small backwards move was being added to the motion program causing an unprogrammed circular move that was damaging material. This issue has been resolved.


2D view icons

2D view icons

Home > 2D view icons

This group of tool icons controls the view of a 2D part file.

Pan | Use this tool to pan the part view. Also available by selecting View | Pan from the main menu, or Alt + Left Mouse.
Zoom in | Use this tool to increase the drawing size in the display window. Also available by selecting View | Zoom | Zoom in from the main menu.
Zoom out | Use this tool to decrease the drawing size in the display window. Also available by selecting View | Zoom | Zoom out from the main menu.
Zoom window | Use this tool to drag across a drawing section to define a zoom window. Also available by selecting View | Zoom | Zoom Window from the main menu.
Dynamic zoom | Use this tool to zoom in and out of a drawing view by dragging the mouse. Also available by selecting View | Zoom | Dynamic from the main menu.
Zoom table | Use this tool to display part placement on the cutting table. Also available by selecting View | Zoom | Table from the main menu.
Zoom extent | Use this tool to fill the display window with the part. Also available by selecting View | Zoom | Extents from the main menu.
Next view | Use this tool to go to the next defined view of the part. Also available by selecting View | Next view from the main menu.
Previous view | Use this tool to go to the previously defined view of the part. Also available by selecting View | Previous view from the main menu.
Show/hide custom dwell | Use this tool to show or hide the custom dwell points on the cutting path.
Show/hide grid | Use this tool to show or hide the grid.
Show/hide nodes | Use this tool to show or hide the nodes separating entities.


3D view icons

3D view icons

Home > 3D view icons

This group of tool icons controls the view of a 3D part file.

Isometric view | Use this tool to display the isometric view of a part. Also available by selecting View | 3D view | Isometric from the main menu.
Top view | Use this tool to display the top view of a part. Also available by selecting View | 3D view | Top from the main menu.
Front view | Use this tool to display the front view of the part. Also available by selecting View | 3D view | Front from the main menu.
Right view | Use this tool to display the right view of the part. Also available by selecting View | 3D view | Right from the main menu.
Orbit | Use this tool to orbit the view in the display. Click the button, hold the left mouse, and drag the mouse to spin the part in the display screen. Also available by selecting View | 3D view | Orbit from the main menu.


Absolute and relative position

Absolute and relative position

Home > Absolute and relative position

Absolute coordinates are referenced to machine home. Relative coordinates are referenced to user home.

To show absolute or relative position

  • On the View menu, click Show absolute position or Show relative position.

The positional indicators in the control panel area will display abs or rel (for absolute or relative, respectively) below the X and Y symbols to indicate which coordinate system is used.

 You must be in the Run machine screen to change between absolute or relative position.


Advanced ESSI settings

Advanced ESSI settings

Home > Advanced ESSI settings

The Advanced ESSI Settings dialog box accommodates machine language code that does not use a designated rapid traverse code. The information in the dialog box tells FlowTranslate when to turn the jet on or off. Use the advanced settings only if the standard ESSI in the ESSI Settings box does not apply.

Change Advanced ESSI settings

  1. On the FlowTranslate menu, click ESSI Settings, then click Advanced.

  2. Type the correct code in the Jet On and Jet Off field.

             Jet On turns the waterjet on and indicates a cutting move follows. Jet Off turns the waterjet off and usually indicates a rapid traverse move follows.

  3. Select the Use program start symbol check box if the code uses a start symbol, then type the symbol used in the Program start symbol field.

  4. Select the Use jet on/off to define rapid traverse check box if the ESSI does not use a separate command for a rapid traverse.

  5. Arc radius values are set to incremental by default. Select the Arc Radius Term as absolute check box to override the default setting.

  6. Click OK, then click Save as default or OK in the ESSI Settings screen.

Related topics

ESSI settings

ESSI reference guide


Advanced model setting overview

Advanced model setting overview

Home > Advanced model setting overview

The top of the dialog box shows the edit fields used to modify the lead angle scaler, taper angle scaler, and corner angle value. Under most circumstances, the values recommended by FlowCUT should not be changed. When using Dynamic Waterjet, FlowCUT determines cutting head orientation to eliminate taper and improve part accuracy. Orientation of the cutting head can be along the direction of the cutting path or perpendicular to it.

FlowCUT automatically changes the Arc radius values and the Custom corner control settings. Depending on the job setup, FlowCUT determines the appropriate values for these settings and automatically applies them.

Advanced users requiring more information should contact Flow Technical Service.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

On the Advanced menu, click Advanced model setting to access the settings screen.

The Advanced model offers users the ability to do powerful customization, but there is nothing in the dialog that prevents a user from entering values that will perform poorly. The following strategies are recommended:

  • Do not deviate greatly from the default settings. They work well for most applications.

  • If step lengths are too long for the geometry, accelerations and decelerations may not occur as expected. This is because the program for breaking lines needs an original drawing entity that is three times as long as the requested step length to break.

  • For example, if the step length is set to 0.5 in. no breaks will occur unless the original geometry has sections over 1.5 in. long.

    The default values are typically set between 0.02 in. and 0.05 in. to avoid this problem.

  • The breaking algorithm requires speed changes to work properly. Generally, corner speeds are the smallest observed speeds and the lowest arc speeds should be 1% above the corner speed. Following this guideline, you can set the rest of the drawing at any speed equal to or higher than the lowest arc speed.

Related topics

Modify lead angle scaler

Modify taper angle scaler

Modify corner angle

Modify arc speeds

Lead-in/lead-out and corner acceleration/deceleration

Lead and corner tabs numbers

Using custom settings and restoring FlowCUT defaults


Advanced NC settings

Advanced NC settings

Home > Advanced NC settings

The Advanced NC Settings dialog box accommodates machine language code that does not use a designated rapid traverse code. The information in the dialog box tells FlowTranslate when to turn the jet on or off. Use the advanced settings only if the standard G-code in the NC settings box does not apply.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Change Advanced NC settings

  1. On the FlowTranslate menu, click NC Settings, then click Advanced.

  2. Type the correct code in the Jet On and Jet Off field.

             Jet On turns the waterjet on and indicates a cutting move follows. Jet Off turns the waterjet off and usually indicates a rapid traverse move follows.

  3. Select the Use program start symbol check box if the code uses a start symbol, then type the symbol used in the Program start symbol field.

  4. Select the Use jet on/off to define rapid traverse check box if the NC-code does not use a separate command for a rapid traverse.

  5. Arc radius values are set to incremental by default. Select the Arc Radius Terms I and J as absolute check box to override the default setting.

  6. Click OK, then click Save as default or OK in the NC Settings screen.

FlowTranslate can interpret the following machine codes.

  • [SYMBOLS]

  • Z_COORDINATION

  • Z

  • [SPECIAL SETTINGS]

  • MACHINABILITY

  • M=:

  • TOOLOFFSET_SIZE

  • TO=:

  • THICKNESS

  • T=:

Keywords can be found in GCodePP.ini in the FlowXpert System directory. To make changes, open the file in any text editor, then save the file and restart FlowCUT.

Related topics

NC settings

ESSI settings

Advanced ESSI settings

Color index

Feedrate settings


Apply cutting model

Apply cutting model

Home > Apply cutting model

The cutting model must be applied prior to cutting and before you can go to the Run Machine interface.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

The model will calculate the cutting parameters for the cutting job, including:

  • Cost of the part
  • Estimated time to complete the cut
  • Estimated abrasive used
  • Number of Jet ON cycles
  • Cutting length
  • Total path length

When cutting with Dynamic Waterjet turned on, the only available cutting model is the corner control model.
Turn Dynamic Waterjet off to make other models available for non-Dynamic Waterjet cutting.

There are threecutting models in FlowCUT

Standard | Original model developed for FlowMaster. It is included for backward compatibility and is useful for cutting with water only. When used with abrasive, the Standard model works well when the material thickness does not exceed 0.375 in. (9.5 mm).
Corner control | Offers the most features for cutting with abrasive. This model automatically produces high-quality corners regardless of speeds assigned to the part. For advanced users, the settings used by the Corner control model can be adjusted for custom applications.
Global override | Allows all of the drawing to be cut at one speed, with a global acceleration value applied at stops and corners. This option is best when the drawing is composed of many small entities (typically 0.1 in. long or less) and when cutting thin or soft and thick materials (like foam). If higher speeds and short entities cause speed limitations with the Standard model, switch to the Global override model. If the part drawing has many small entities but the speed is relatively slow, it still could be beneficial to use the Global override model.

Related Topics

Advanced model setting


Assign tool radius

Assign tool radius

Home > Assign tool radius

Type a value into the Tool radius edit box (located below the materials option list) to let FlowCUT know how to compensate for the kerf of the cut.

For water-only cutting, this value is typically one-half of the orifice diameter.

For abrasivejet cutting, use about one-half the diameter of the mixing tube plus an additional 10-15% to account for expansion of the jet.


Color index

Color index

Home > Color index

When FlowTranslate reads a machine language file, it makes notes of which moves are rapid traverse moves and which moves are cutting moves. As it generates the .ord file, FlowTranslate assigns colors to each line or arc. These colors represent a specific type of move.

The Color Index dialog box establishes the colors used to represent the rapid traverse, scribe, and cutting moves of the jet. Every index number represents a color defined in the following table.

Index | Color | Indicates | Definition
2 | Gray | Scribe | Cutting moves with water only, no abrasive. Used for adding scribed or etched lines in artistic applications or marking a part with a part or serial number.
3 | Dotted teal | Rapid traverse | Non-cutting moves. Used to move the cutting head from one location to another.
4 | Light green | 20% speed | Cutting speed represents edge quality; a faster cut produces a rougher edge finish, a slower cut produces a smoother edge finish.
5 | Blue | 40% speed
6 | Cyan | 60% speed
7 | Magenta | 80% speed
8 | Yellow | 100% speed

Change color index

The Scribe and Rapid Traverse values should not be changed. The most common use of the Color Index dialog box is to change the cutting index to a different value. For example, to cut parts at a 60% speed, set the cutting index value at 6.

Click OK or Save as default in the Color Index dialog box.

The color assignments are saved in the .ord file.

Related topics

NC settings

Advanced NC settings (accessed through the NC Settings dialog box)

ESSI settings

Advanced ESSI settings (accessed through the ESSI Settings dialog box)

Feedrate settings


Command icons

Command icons

Home > Command icons

This group of tool icons control part duplication and custom dwell of the waterjet.

Duplicate | Use this tool to copy a part in a row and column pattern. This tool is enabled only after the model has been applied.
Custom dwell | Use this tool to define a custom dwell (pause) for the waterjet. This tool is enable only after a part file has been opened.


Corner control model

Corner control model

Home > Corner control model

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink
Cutting type | Select Water and abrasive or Water only. If cutting with water only also input the fastest speed value that the material can be cut based on the thickness and jet setup parameters.
Use 20% speed for lead-in | This option will override the speed of lead-ins to ensure the jet pierces through the material before reaching the end of the lead-in.
Use arc offset at outside corner | This option will use an arc to connect corners when the offset path is applied.
Trim extension if longer than | If arc offset is not used, FlowCUT will extend the corners of the offset path until they intersect, this feature will trim the extension if it is longer than the given value.
Auto oscillating pierce | FlowCUT calculates how long the lead-in needs to be to in order to pierce through the material, if the lead-in is not long enough, the jet will move back and forth along the lead-in until it pierces through the material.
Corner model | Allows the user to select different corner control models to affect the speed and quality of the cut.
DWJ Model | Allows the user to dial in taper control adjustments for specific applications. The thin materials model should be used when cutting thin materials to smooth out the motion of the machine that may be present in high speed cutting.

Apply the corner control cutting model

  1. On the Postprocess menu click Apply model.

  2. Select the options appropriate for the part being cut (see table above for reference).

  3. Click OK to apply the settings to just this part, or click Save as default to save the settings for all parts.

Related Topics

Advanced model setting


Cost parameters

Cost parameters

Home > Cost parameters

The costing feature in FlowCUT calculates the cost per part, excluding material. This estimate is based on settings in Cost Parameters dialog. Changes to these settings can only be made from the Setup screen. These configurations, or settings, are saved in your FlowCUT system files, not with the individual part files.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Edit settings for existing configuration

  1. On the Setup menu, click Cost parameters.
  2. Click the Settings drop down box to select the configuration to edit.
  3. Make changes to the settings, then click Save to make permanent changes to the configuration, or click Update to make temporary changes for analysis purposes, then click Close.

Add configuration

  1. On the Setup menu, click Cost parameters.

  2. Click Edit, type the new configuration name, click Add, then click Close. The new configuration is displayed as the current setting and is now included in the options list under Settings.

  3. Enter the System-based operating costs.

    If you are performing cost calculation on a programming PC not attached to the shapecutting system, verify that the settings on the programming PC match those on the cutting system. If this is not done correctly, prediction errors may result.

  4. Enter the Facility-based operating costs.

  5. Click Save to make permanent changes to the selected Settings profile.

  6. Click Update to make temporary changes for analysis purposes, then click Close.

    These changes will be lost the next time FlowCUT is shut down.

Delete configuration

  1. On the Setup menu, click Cost parameters.

  2. Click Edit, then select the configuration to be deleted from the options list, then click Delete. A dialog box will prompt you to continue; click Yes to proceed, then click Close. The configuration will be deleted as an option under Settings in the Cost Parameters dialog box.

Display the cost for cutting a part

  1. Apply the cutting model to calculate the estimated cost to cut the part.

  2. Click the Run Machine button, then click the Previous Screen button.

  3. The cost for the current configuration appears in the sidebar.


Cut from a point setup

Cut from a point setup

Home > Cut from a point setup

If it is necessary to stop the program before all contours have been cut, use the Cut from a point feature to restart cutting from any location on the part. Before using this feature, verify the settings are correct.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Set the backup distance

  1. On the Setup menu, click Cut from a point setup.

  2. Select the Use backup method check box to activate the backup distance.

  3. In the Backup distance field, type a number.

  4. Click OK to close this dialog box.

Related topics

Cut from a point

Pierce then cut

Pierce all holes first


Defining jet setup

Defining jet setup

Home > Defining jet setup

Define the jet setup before you cut the part to ensure the proper information is being used, especially if multiple operators are running the equipment.

To cut a part at the proper speed, FlowCUT needs to know how the waterjet or abrasive waterjet is being operated. This information is provided to FlowCUT by filling out a setup dialog box. To display the dialog box, click on the Jet Setup icon or select Setup | Jet....

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

The Setup dialog box has the following tabs:

  • Jet
  • Pierce first
  • Water only
  • Height sensor


Defining pierce first

Defining pierce first

Home > Defining pierce first

In certain cutting applications, piercing at high water pressure can shatter or de-laminate materials such as stone, glass, or composites. It can be more effective to pierce all holes first at reduced water pressure, then cut the shape at a higher water pressure. The Pierce First tab, shown as the second tab in the Setup dialog box, is used to set the parameters for piercing all holes first.

To define the setup for piercing all holes first, complete all sections in the Pierce First tab.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Pierce routine

The hole-to-hole routine will pierce a hole and perform a rapid move in the shortest path possible to the next hole. The follow-the-path routine follows the cutting path as it travels from hole-to-
hole.

  • Select Follow the path if fixturing needs to be avoided; otherwise select Hole to hole.

Vacuum control

Typically the vacuum would remain on throughout the piercing routine, but there are some cases where you may want to turn the vacuum control on/off at every jet cycle. For instance, if the part is submerged under water, turning the vacuum control on/off at every jet cycle would avoid pulling water into the cutting head.

  • Click Remain on or Turn on/off every jet cycle to set the vacuum assist operation.

ON and OFF procedures

For most applications using vacuum assist, set the ON procedure to Abrasive on first, then jet on to minimize delamination. Type the dwell time (in seconds) for the jet, abrasive, and vacuum for both ON and OFF procedures. The abrasive must turn off before the water.

A 1-3 second dwell after the abrasive is off and before the water turns off will ensure that the cutting head is cleared of abrasive.

Pierce time

Type the pierce time in seconds. This value is only used when piercing first and does not affect standard water or abrasivejet piercing times.

Save settings

Clicking the OK button after changing settings will save the settings for the current FlowCUT session. This means that the settings will be applied to every file opened until FlowCUT is closed and re-opened, then the settings will revert to the default.

Clicking the Save as default button after changing settings will save the settings for all FlowCUT sessions. This means that even after closing and re-opening FlowCUT the settings saved as default will be applied.

If a file has previously been saved with a particular setup, the settings for that file will be reflected instead of the ones applied for that session and/or the default FlowCUT settings.

Related Topics

Define jet setup


Defining the jet

Defining the jet

Home > Defining the jet

The Jet Setup is the first tab in the Setup dialog box. To define the jet setup conditions, complete the information requested in each of the sections.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Pump and nozzle

Type the orifice and mixing tube diameters, the pump water pressure, and the abrasive flow rate for abrasivejet cutting. Select an abrasive type (mesh size) from the options list. If you are cutting with water only, these settings will be ignored.

ON procedure

A momentary pause by the jet is called a dwell. Selections in the ON procedure section define the dwells from the time the jet comes on and the time the abrasive starts.

  • Select whether the jet or the abrasive should turn on first by selecting an option from the option list. For most applications, set the ON procedure to Jet on first, then abrasive on to prevent abrasive from clogging the line.

  • Type the respective dwell time in seconds. For most applications the jet should turn on first. After the abrasive turns on, there should be an additional 1-2 second dwell to allow the abrasive to enter the cutting head.

OFF procedure

Selections in the OFF procedure section define the dwells from the time the jet stops and the time the abrasive stops. Type the respective dwells in seconds.

  • For most abrasivejet applications, dwell 1-3 seconds after turning off the abrasive, then dwell 1-2 seconds after turning off the water. A 2-second dwell is usually enough to evacuate abrasive from the cutting head, but this may vary depending on the length of the abrasive feed line from the mini-hopper to the cutting head.

Pierce (on-the-fly or stationary)

The jet drills or pierces through the material before it begins the cut. Piercing is done on-the-fly (while the jet is in motion) or stationary (while the jet is not moving). Piercing is typically done on-the-fly on a lead-in line. If the lead-in line is too short, the jet will oscillate along the lead-in until it pierces. Piercing on-the-fly usually enables the jet to get through the work piece 2 to 5 times faster than a stationary pierce. However, piercing sensitive materials such as glass, marble, or composites usually requires a stationary pierce at lower pressures.

  • To define the pierce type for normal piercing/cutting operations, select either Pierce-on-the-fly or Stationary pierce.

Scribe speed

Scribe speeds use an abrasivejet cutting head with the abrasive turned off. Without using abrasive, the waterjet will etch the surface instead of cutting through the material. Scribe is most often used in artistic applications or for marking a part with a part number or serial number.

  • To define the scribe speed, type the speed in percentages. This setting does not affect normal abrasivejet cutting operations.

Pump off

If you want the pump to turn off automatically after the cutting operation is finished, check Automatically turn off pump after cutting. If your system has an integrated high-pressure pump, this feature will be enabled; if it has an external stand-alone pump, it may or may not be enabled.

Save settings

Clicking the OK button after changing settings will save the settings for the current FlowCUT session. This means that the settings will be applied to every file opened until FlowCUT is closed and re-opened, then the settings will revert to the default.

Clicking the Save as default button after changing settings will save the settings for all FlowCUT sessions. This means that even after closing and re-opening FlowCUT the settings saved as default will be applied.

If a file has previously been saved with a particular setup, the settings for that file will be reflected instead of the ones applied for that session and/or the default FlowCUT settings.

Related Topics

Define jet setup


Defining water only

Defining water only

Home > Defining water only

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

The Water Only setup tab is designed to work with the Apply Model dialog box. You can set the water only cutting speed in either location; changing the speed in either location will automatically change the speed in both locations. To change the speed in the Water Only dialog box, type the new speed in inches (or millimeters) per minute. Setting a speed here will override any calculated speed based on the material and thickness settings on the main FlowCUT screen. However, percentages (i.e., 20%, 40%, 60%, etc.) will still be in effect.

Related Topics

Define jet setup


Dry run

Dry run

Home > Dry run

The part program can be tested without disabling water or abrasive controls.
The dry run menu selection traverses the part without water or abrasive.

On the Cutting menu, click Dry run to start the test.


ESSI settings

ESSI settings

Home > ESSI settings

The ESSI settings dialog box sets the actual language translation values when reading the machine code. The ESSI-code initiates commands used to control the operation of the CNC machine.

When you first open the ESSI Settings dialog box, the values listed in the boxes represent standard ESSI. If these values do not accurately represent the language to be translated, it will be necessary to change them.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Change ESSI settings

On the FlowTranslate menu, click ESSI settings.

To change the default settings of the ESSI Codes, edit the values in the fields following each setting.

Rapid traverse on | Non-cutting move.
Rapid traverse off
CW circular | Clockwise arc cutting move.
CCW circular | Counterclockwise arc cutting move.
No offset | Defines the direction of the tool offset, or the position of the jet center as it relates to the cutting line. For abrasivejet cutting, this is about one-half the width of the cutter compensation. The jet is offset slightly from the cutting line to accommodate the radius of the jet. Offset is usually set to the waste side of the part to ensure parts are cut to tolerance.
Left offset
Right offset
Inch | Unit of measurement used for all moves.
Metric
Incremental | Indicates a move from the current X,Y location.
Absolute | Indicates a move from a fixed home or reference location.

To change the default settings of the ESSI Code Parameters, edit the values in the fields following each setting.

Select a default value for:

  • Positioning mode

  • Offset mode

  • Unit mode

The default values will be used if no code is entered for these items in the ESSI Codes section or the assigned codes do not exist in the ESSI program.

Many ESSI programs are written with rapid traverses at the start and finish of the program. The rapid moves at the start typically begin at home and the rapid moves at the finish typically end at home.

  • If the program should not return to home after it is completed, check Filter rapid traverse to origin at program end.

  • If the program should begin immediately at home, check Filter rapid traverse from origin at program start.

These filters remove the rapid traverse to origin at program end and from origin at program start when the file is exported as a .ord. They do not delete these moves from the ESSI code.

After you have changed settings as necessary, click Save as default to make the changes permanent. Click OK to use the changes for the current session only.

Related topics

NC settings

Advanced NC settings

Advanced ESSI settings

Color index

Feedrate settings


Estimated time

Estimated time

Home > Estimated time

The time that the machine will take to cut a part is estimated using material, model type, and assigned cutting speed parameters. The estimated time for the part is found in the lower right-hand corner of the Run Machine screen.

To perform an estimated time prediction on the shapecutting machine:

  1. Open the part and apply the model to the part.
  2. Click Run machine [image].
  3. Click Previous screen [image].
  4. Click Run machine again. The estimated time is found in the lower right-hand corner of the Run Machine screen.

To perform an estimated prediction on a programming PC:

A PC that is not attached to the shapecutting system can be used to set up jobs, and calculate cost and cutting time in FlowCUT. If you are using FlowCUT on a programming PC, verify that the settings on that PC match those on the cutting system PC. This is done by copying the FlowMaster System files from the computer that is operating the shapecutting machine and modifying a setting in one of the files.

  1. Insert a USB drive in the USB port on the shapecutting system PC.

  2. Copy the System folder on to the USB drive.

  3. Transfer the drive to the programming PC and copy the System folder into the FlowMaster directory.

  4. Open the System folder. Locate and open the file called "table.ini".

  5. Locate the keyword "controller_card". Set the value to "0". Save and close the file.

  6. Locate and open the file "Machine.ini". Locate the keyword "OPC_PUMP". Set the value to "0". Save and close the file.

If a remote PC is being used, functions associated with controlling the shapecutting machine will be disabled.


Feedrate override

Feedrate override

Home > Feedrate override

The feedrate override bar is located in the sidebar of the Run machine screen. This function affects all system motion including jogging and cutting.

The current speed is multiplied by the value of the feedrate override. For example, you can slow down and cut to one-half speed by dragging the scale marker to 50%. Going over 100% makes the motion faster. The speed cannot be changed while the machine is jogging.

Feedrate override is not recommended with Dynamic Waterjet. If used, the taper correction angles will not match with the proper speeds.


Feedrate settings

Feedrate settings

Home > Feedrate settings

The Feedrate Settings allows you to assign varying speeds to different entities. Changes can be made to linear, CW circular, and CCW circular NC codes (for more information see NC Settings.)

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Change feedrate settings

  1. On the FlowTranslate menu, click Feedrate settings.

             When Neglect Feedrate is selected, the values in the Converting Table are disabled.

  2. Click Use Converting Table to change the Original Value or the New Value cutting speed.

             The Original Value is the speed produced by the NC machine. The New Value is the cutting speed percentage used by FlowCUT.
    For example, to set NC code N60 G03 X47.7479 Y4.2714 I0.25 F1.000000 to 20% FlowCUT speed, set the Original Value to 1 and the New Value to 20.

  3. Click OK to save the changes for the current session and close the dialog box. Click Save as default to save the changes for use in all sessions.

Related topics

NC settings

Advanced NC settings

ESSI settings

Advanced ESSI settings

Color index


File icons

File icons

Home > File icons

This group of tool icons control file functionality.

Open | Use this tool to open a file. FlowCUT displays an Open dialog box.
Save | Use this tool to save the current file.
Print | Use this tool to print the active file.
About FlowCUT | Use this tool to display program information.


Getting help

Getting help

Home > Getting help

Flow International Corporation offers several resources to help you get the greatest functionality from this software package on your cutting machine. If you have a question about cutting heads, the X-Y machine tool, or the pump, consult the appropriate equipment manuals.

Technical Support

Contact Technical Support at:

United States & Canada
 Flow International Corporation
23500 64th Avenue South · Kent, Washington 98032
Tel: (800) 526-4810 · Fax: (253) 813-3351

Central America, South America, Mexico & Caribbean

Tel: +55-11-3616-2822

FlowLatino.com

Europe, Middle East & Africa

Tel: +49-7252-538-0

FlowEurope.com

Taiwan, China, Korea, Southeast Asia, Australia & New Zealand

Tel: +886-3-577-2102

FlowAsia.com

Japan

Tel: +81-52-701-7021

FlowAsia.com

When you call, you should be at the machine tool or computer and have the appropriate documentation at hand. Be prepared to give the following information:

  • FlowMaster software version number
  • Machine tool configuration
  • What happened and what you were doing when the error occurred (document the error if possible
  • How you tried to solve the problem


Global override model

Global override model

Home > Global override model

The global override model may be the best option in the following cases:

  • All of the part can be cut at one speed (except for stopping and cornering accelerations).

  • The drawing is composed of many small entities (typically 0.1-inch long or less).

  • Cutting speed is such that the exit of the jet is nearly underneath the entrance of the jet. This is common when cutting thin materials or soft and thick materials like foam. In some cases, slow cutting of thick materials may also benefit from the global override option.

Not all parts will benefit from the global override model. Compare production times with those using the standard model to assist in determining which method is best for a given job.

  • The global override model is only available if the Universal PMAC Lite or Turbo PMAC card is installed.

  • The speeds assigned to entities before the global override model is applied will be ignored. Any overwritten speeds as defined in the Properties dialog will also be ignored.
Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink
Cutting type | Select Water and abrasive or Water only. If cutting with water only also enter the fastest speed value that the material can be cut based on the thickness and jet setup parameters.
Use 20% speed for lead-in | It is not possible to override the designated speed for lead-in entities when using the Global override model. Selecting this checkbox will have no effect.
Use arc offset at outside corner | This option will use an arc to connect corners when the offset path is applied.
Trim extension if longer than | If arc offset is not used, FlowCUT will extend the corners of the offset path until they intersect, this feature will trim the extension if it is longer than the given value.
Auto oscillating pierce | FlowCUT calculates how long the lead-in needs to be to in order to pierce through the material, if the lead-in is not long enough, the jet will move back and forth along the lead-in until it pierces through the material.

Apply the global override cutting model

  1. On the Postprocess menu click Apply model.

  2. Select the options appropriate for the part being cut (see table above for reference).

  3. Type the desired cutting speed in the text field. This speed will override all other speeds defined in the drawing.

             With very low acceleration rates, the predicted cutting time using the global override model may not be correct. For critical applications it may be necessary to time a dry run to determine the appropriate acceleration rate.

  4. Click OK to apply the settings to just this part, or click Save as default to save the settings for all parts.


Lead-in/lead-out and corner acceleration/deceleration

Lead-in/lead-out and corner acceleration/deceleration

Home > Lead-in/lead-out and corner acceleration/deceleration

On the Advanced menu, click Advanced model setting.

Lead-In

Determines the starting speed for a lead-in and the rate at which the cutting speed increases after the starting speed.

Lead-Out

Determines the ending speed at the lead-out and the rate at which the cutting speed decreases to reach this ending speed.

Inside Corner Acceleration

Determines the speed at the point of rounding the inside corner and how quickly the speed increases after that point.

Inside Corner Deceleration

Determines the speed just before the inside corner is reached and how quickly the cutting speed slows to that speed.

Outside Corner Acceleration

Determines the speed at the point of rounding the outside corner and how quickly the speed increases after that point.

Outside Corner Deceleration

Determines the speed just before the outside corner is reached and how quickly the cutting speed slows to that speed.

Related topics

Modify arc speeds

Lead and corner tabs numbers

Using custom settings and restoring FlowCUT defaults


Lead and corner tabs numbers

Lead and corner tabs numbers

Home > Lead and corner tabs numbers

The Corner Control tabs set lead and corner speeds and determine the rates at which speed changes occur.

Inside corner acceleration and inside corner deceleration

The Inside Corner Acceleration dialog box is shown with some simple numbers for illustration. Both tabs have two columns of numbers. The column on the left show distance (step length) and the column on the right shows percent speeds. The rows are numbered from 1 to however many numbers have been put in the table. The values in the first row are related to the point of interest, in this case, the inside corner.

The illustration below shows how the numbers in the first column determine how the cutting path geometry is modified to contain segments of the size contained in the Advanced model dialog. The numbers 1-5 and the distances (inches) show how the corner geometry is broken up to match the values in the data entry row. The segment or step length associated with each number is the size of what was entered in the dialog. Note that while this example shows symmetry; it is not required.

The percent speeds work a little differently from the step lengths. The speed associated in the first row is the actual speed assigned at that point. In the following rows, each value represents a change in speed. For example, in the illustration below, the speed at each segment at the corner is 10%. The dialog box shows a change of 1% is desired for the second row, then 2% and 3% from then on. Thus we get 11% at the second segment, 13% at the third, and an increase of 3% for each step beyond.

Using this simple methodology, various speed profiles can be made for custom applications. Speed profiling on the outside corner works the same as the inside corner. For a lead-in, the values in the first row represent the first segment of the cutting path. The original lead-in geometry is broken so the first move is the length assigned in row one at the corresponding assigned speed. Lead-outs are the opposite with the value in row one representing the last speed and segment length of a cut.

Related topics

Modify arc speeds

Lead-in/lead-out and corner acceleration/deceleration

Using custom settings and restoring FlowCUT defaults


Machinability index

Machinability index

Home > Machinability index

The machinability index refers to the physical properties of the material as they relate to waterjet and abrasivejet cutting. The higher the machinability number, the faster the material can be cut. The machinability index is listed along with the name of the material in the materials option list in the sidebar.

To determine a machinability index for your material

  1. In FlowCUT, open Indexruf.ord from the Flow International\FlowCUT 7\System folder.

  2. Type in the exact thickness of the material you’re cutting. Using the existing list as a reference, estimate the index value.

             Harder materials have lower index values than softer materials.

  3. Select "Customer-defined" and type in the estimated index in the Machinability field.

    Always start with a number slightly higher than the reference. For example, when cutting aluminum, which has an idex of 8.62, use 9.0.

  4. Run the cut test on your material (it uses less than 4 square inches of material). After the cut is finished, remove the material from the table, turn it over and look at the jet exits on the 10 cut lines. The jet should not cut through the material above the 8th or 9th line. The ideal index value is in the 75th percentile. If the jet cut through the 8th line but did not cut through the 9th, multiply the index number you picked by 80% or 0.80; this value is the machinability index for your material. If the jet made it through all 10 lines, choose a higher number for your index number and repeat the test.

Example: To establish the machinability index for a special 0.5-inch-thick aluminum alloy, enter the thickness (0.5). Scroll through the current list of materials and note that generic aluminum has a hardness of 8.62. Using this value as a guideline, estimate the machinability at 9.0. Run the cut test. Remove the material and turn it over. You see that the jet cut through the 8th line, but not through the 9th. Therefore, the index for this special material should be about 7.2.


Macro overview

Macro overview

Home > Macro overview

FlowCUT offers a powerful utility that allows you to add macros to an existing part program. Macros contain special commands that are sent to the motion controller card within the PC. The commands are written in a language understood by the controller and are written to perform a specific task.

The macro utility allows the user to customize a program for advanced applications, they are not needed for general applications.

Some common uses of macros are:

  • Assign a special tool offset in one region of the part.

  • Activate an external device such as a shuttle table when a part is completed.

  • Pause the cutting until another input is triggered.

Click to Enlarge Click to Enlarge

Click to Shrink Click to Shrink

All macros must be applied at a node on a drawing and are run when the part program reaches the node. The illustration shows a close-up of a part displayed in FlowCUT. The dots at the ends of the drawing entities are the nodes. Nodes that have been assigned a macro are surrounded with a red-colored box.

In this example, all nodes except for the jet on and jet off nodes have the macro applied. The jet will begin cutting at the lead in, operate the macro at the first node, then continue motion for the rest of the part until it reaches the next node with a macro indicated. No special action takes place at the other nodes since they do not have macros assigned to them.

Related topics

Assigning a macro to a node

Viewing macro properties

Editing a macro

Removing a macro

Tips about using macros


Materials option list

Materials option list

Home > Materials option list

The materials option list provides a selection of commonly used materials with their associated machinability indexes.

During the process of setting up FlowCUT to cut parts, you need to specify the material by selecting it from the option list. If the material you are using is not in the option list, you can add it or you can use the customer-defined option.

To add or delete materials from the option list

  1. Pull down the materials list in the sidebar of the Setup screen.

  2. Click Edit material list at the bottom of the materials list to open the Material List Editor.

  3. To add a material, type in the material name and index. Click Add, then OK. The material will now be available in the option list.

             The Abrasive type field in the Material list editor is read-only. If you add or delete a material, this change will only apply to the abrasive type specified. To add or delete a material for a different abrasive type, you must first change the abrasive type in the Jet setup screen, then open the Material list editor to make changes for that abrasive type.

  4. To delete a material for specified abrasive type, select the material from the pull-down list in the lower part of the Material List Editor dialog box. Click Delete, then OK. The material will no longer be in the option list when that abrasive type is selected.

Add a customer-defined material

  1. Click Customer-defined at the bottom of the option list.

  2. Type in the Machinability index of the material.

Related topics

Machinability index


Modify arc speeds

Modify arc speeds

Home > Modify arc speeds

To change arc speeds assigned to a given deflection

  1. On the Advanced menu, click Advanced model setting.

  2. Click Define speed(DWJ off/DWJ on).

  3. To make changes:

    • Edit the values directly in the table to change individual speed values for a given deflection and arc radius. If Dyanmic Waterjet is NOT on, use the white boxes. If Dyanmic Waterjet is on, use the green boxes. Scroll through the table using the arrow to the right of the table.

    • Type a number in the field above Apply to change several speed values at once. This activates the button; click the down arrow next to Apply to open a list of where to assign the speeds.

    • Click Edit to add additional values for deflection. Add additional rows by typing the deflection value in the Add field and clicking Add. Delete any deflection value by selecting the deflection value in the list and clicking Delete. Click OK to accept changes or Cancel to remove changes.

    The user cannot add additional arc radius values.

  4. Click Save Settings to save changes.

    • Click Reset to return to the FlowCUT recommended settings.

    • Click OK to accept the settings.

    • Click Cancel to remove the settings.

Related topics

Lead-in/lead-out and corner acceleration/deceleration

Lead and corner tabs numbers

Using custom settings and restoring FlowCUT defaults


Modify corner angle

Modify corner angle

Home > Modify corner angle

Modify Corner angle

The value used for the corner angle affects the speed at which a corner is set. Whenever FlowCUT detects a corner in the part path, it determines the number of degrees for the corner. If the corner size is less than or equal to the number assigned to the corner angle, the speed for the corner is set as determined in the acceleration fields in the Apply Model dialog. If the corner size is greater, the corner speed is determined by a mathematical equation. The equation sets the speed at a value between that found in the Apply Model dialog and the percent speed assigned to the entity containing the corner. Typical values are 90° to 170°.


Modify lead angle scaler

Modify lead angle scaler

Home > Modify lead angle scaler

Modify lead angle scaler

The lead angle scaler modifies the equations FlowCUT uses to determine the orientation along the direction of the cut. A value of 0 turns off this component of the cutting head orientation. A value of 1 means that the FlowCUT equations will work unmodified. Recommended settings for this value are typically less than 1 and should normally not exceed 1.5.


Modify taper angle scaler

Modify taper angle scaler

Home > Modify taper angle scaler

Modify Taper angle scaler

The taper angle scaler modifies the equations FlowCUT uses to determine the orientation perpendicular to the direction of the cut. A value of 0 turns off this component of the cutting head orientation. A value of 1 means that the FlowCUT equations will work unmodified. This value should normally be set at 1 and typically not exceed 1.5.


Move from zone to zone

Move from zone to zone

Home > Move from zone to zone

There are two ways to move from one zone to the other:

  • One the Cutting menu, click Move to zone one or Move to zone two.

  • Click the Zone One button or Zone Two button.

Related topics

Zone parameters setup

Homing the machine


NC settings

NC settings

Home > NC settings

The numerical code (NC) settings dialog box sets the actual language translation values when reading the machine code. The NC code initiates commands used to control the operation of the CNC machine. G-code is used for NC code.

When you first open the NC Settings dialog box, the values listed in the boxes represent standard G-code. If these values do not accurately represent the language to be translated, they will need to be changed.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Change settings

On the FlowTranslate menu, click NC settings.

To change the default settings of the NC Codes, edit the values in the fields following each setting.

Rapid traverse on | Non-cutting move.
Rapid traverse off
CW circular | Clockwise arc cutting move.
CCW circular | Counterclockwise arc cutting move.
No offset | Defines the direction of the tool offset, or the position of the jet center as it relates to the cutting line. For abrasivejet cutting, this is about one-half the width of the cutter compensation. The jet is offset slightly from the cutting line to accommodate the radius of the jet. Offset is usually set to the waste side of the part to ensure parts are cut to tolerance.
Left offset
Right offset
Inch | Unit of measurement used for all moves.
Metric
Incremental | Indicates a move from the current X,Y location.
Absolute | Indicates a move from a fixed home or reference location.

  • To change the default settings of the NC Code Parameters, edit the values in the fields following each setting.

    • Enter the X coordinate of the cutting tool point.

    • Enter the Y coordinate of the cutting tool point.

    • Enter the Arc Radius Term (X).

    • Enter the Arc Radius Term (Y).

    • Enter the term identifying the Arc Radius.

    • Enter the term identifying the Arc Angle.

  • ISelect a default value for:

    • Positioning mode

    • Offset mode

    • Unit mode

    The default values will be used if no code is entered for these items in the NC Codes section or the assigned codes do not exist in the NC program.

  • Many NC programs are written with rapid traverses at the start and finish of the program. The rapid moves at the start typically begin at home and the rapid moves at the finish typically end at home.

    • If the program should not return to home after it is completed, check Filter rapid traverse to origin at program end.

    • If the program should begin immediately at home, check Filter rapid traverse from origin at program start.

    These filters remove the rapid traverse to origin at program end and from origin at program start when the file is exported as a .ord. They do not delete these moves from the NC code.

    After you have changed settings as necessary, click Save as default to make the changes permanent. Click OK to use the changes for the current session only.

  • Related topics

    Advanced NC settings

    ESSI settings

    Advanced ESSI settings

    Color index

    Feedrate settings


Open a part file

Open a part file

Home > Open a part file

The following files types can be opened in FlowCUT:

  • .ord (2d or 3d)
  • .flow2d
  • .flow3d
  • G-code NC file
  • G-code NC file with orientation (3d)
  • ESSI NC file
Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Open a .ord, .FLOW2d, or .FLOW3d file

On the File menu, click Open and select the file to open. The drawing will be displayed in the CAD view window.

Open a G-Code NC file

On the File menu, click Open G-Code NC file and select the file to open. The drawing will be displayed in the CAD view window.

Open a G-code NC file (with orientation)

On the File menu, click Open G-code NC file (with orientation) and select the file to open. The drawing will be displayed in the CAD view window.

Open a ESSI NC file

On the File menu, click Open ESSI NC file and select the file to open. The drawing will be displayed in the CAD view window.


Optional components

Optional components

Home > Optional components

When a machine is equipped with optional components (for example, a water-level sensor) an Option component button appears in the sidebar of the Run machine screen.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Select optional components

  1. Click Option component [image].

  2. Use the up/down arrows in the lower right corner of the dialog box to scroll through the list of components.

  3. Click the command button to select optional equipment.


PASER performance monitor

PASER performance monitor

Home > PASER performance monitor

If a PASER performance monitoring system is installed, the user interface will show the PASER monitor in the control panel of the Run Machine screen between the positional indicators and the axes jog controls.

When the pump and abrasive are turned on, this monitor displays a bar graph to show the status of the PASER cutting head.

Any major changes in the operation of the cutting head will be visible in the graph.


Path-watching diagnostic utility

Path-watching diagnostic utility

Home > Path-watching diagnostic utility

The Path-watching diagnostic utility is designed to support advanced troubleshooting of XY-motion in real-time. It is intended to be used under the supervision of qualified Flow Technical Staff.


Preview the cut

Preview the cut

Home > Preview the cut

Previewing the cut is recommended as a final check before cutting the part(s). During the preview, the jet on/off and abrasive on/off indicators verify traverses, scribes, waterjet, and abrasivejet cutting along the jet path.

Preview the cut

  1. Click the Preview icon on the FlowCUT screen or select View | Preview. Choose "Water and abrasive" or "Water only" in the Apply model dialog box and click OK.

  2. A preview showing traverses, scribes, and cutting paths will be drawn.

  3. The Draw path preview takes place. You can control the preview with the play, pause, stop, fast-forward, and slow buttons at any time from the Preview dialog box. You can view the drawing path, the offset path or both paths. Click Esc on your keyboard to close the Preview dialog box and refresh the screen.


Resume piercing

Resume piercing

Home > Resume piercing

If it is necessary to stop the program before all holes have been pierced, use the Resume piercing feature to restart piercing.

Resume piercing

  1. On the Cutting menu, click Resume piercing.

  2. Click on the part just before the node where you want to resume piercing.

  3. Click Yes to proceed.

Related topics

Pierce all holes first


Saving user homes

Saving user homes

Home > Saving user homes

You can save up to 10 different positions as user-defined homes.

  1. Click Run machine [image].

  2. Click Home X,Y-axes [image].

  3. Select the Set current position as user home option.

  4. Select the Save user home to list check box, and click OK.

  5. Select the position number to save the current position as.

  6. Enter a name for the new position, then click OK.


Select material properties

Select material properties

Home > Select material properties

Before cutting a part you will need to specify the properties of the material you are using. FlowCUT contains an options list of commonly used materials. This list is displayed in the sidebar on the right side of the FlowCUT screen just under the thickness and machinability index values.

To select the material and thickness

  1. Click the option list in the sidebar to display the list of materials.

  2. Click the name of the material you are using to select it. The machinability index is automatically applied.

  3. Enter the material thickness in the field above the material selection.

Related Topics

Materials option list

Machinability index


Selection icons

Selection icons

Home > Selection icons

This group of tool icons controls the selection of part entities.

Single select | Use this tool to select single entities. Left mouse button selects, right mouse button deselects. Selected entities are highlighted.
Select same speed | Use this tool to select all entities of the same cutting speed. In the dialog box, enter the speed or drag the scroll bar to choose a speed. Selected entities are highlighted.
Select contour entities | Use this tool to select all entities along a continuous path through the selected point. Right mouse button deselects the contour.
Select cutting lines | Use this tool to select all cutting line entities.
Deselect | Use this tool to deselect all selected entities.


Standard model

Standard model

Home > Standard model

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink
Cutting type | Select Water and abrasive or Water only. If cutting with water only also enter the fastest speed value that the material can be cut based on the thickness and jet setup parameters.
Use 20% speed for lead-in | This option will override the speed of lead-ins to ensure the jet pierces through the material before reaching the end of the lead-in.
Use arc offset at outside corner | This option will use an arc to connect corners when the offset path is applied.
Trim extension if longer than | If arc offset is not used, FlowCUT will extend the corners of the offset path until they intersect, this feature will trim the extension if it is longer than the given value.
Auto oscillating pierce | FlowCUT calculates how long the lead-in needs to be to in order to pierce through the material, if the lead-in is not long enough, the jet will move back and forth along the lead-in until it pierces through the material.

Apply the standard cutting model

  1. On the Postprocess menu click Apply model.

  2. Select the options appropriate for the part being cut (see table above for reference).

  3. Click OK to apply the settings to just this part, or click Save as default to save the settings for all parts.


Stop the program

Stop the program

Home > Stop the program

There are four ways to stop the cutting program once it has begun to run.

Spacebar or Cycle Stop button

These selections will stop the jet and the abrasive, and pause the program. When the spacebar is used, abrasive flow and high-pressure water pause simultaneously. This can cause abrasive clogging.

To recover, click Cycle Start to restart the entire cutting cycle, or:

  1. On the Cutting menu, select Cut from a point.

  2. Click on the drawing just before the location where the program was stopped.

  3. A dialog box will prompt you to continue the cut. Click Yes to proceed.

Esc key

This selection will stop the jet, the abrasive, the pump, and will disable the program.

To recover, turn on the pump and click Cycle Start to restart the entire cutting cycle, or:

  1. Turn on the pump.

  2. On the Cutting menu, select Cut from a point.

  3. Click on the drawing just before the location where the <Esc> key was pressed.

  4. A dialog box will prompt you to continue the cut. Click Yes to proceed.

E-stop on the machine

This selection will disable the drives, the jet, the abrasive and the pump. The PC will stay on, but the power to the drive motors will turn off.

To recover:

  1. Pull out the E-Stop (or Drive Enable button, if equipped). Wait 15-20 seconds.

  2. Turn on the pump.

  3. Home the machine.

  4. Go to the last user-defined home.

  5. Click Cycle Start to restart the entire cutting cycle, OR

  6. On the Cutting menu, select Cut from a point.

  7. Click on the drawing just before the location where the program was stopped.

  8. A dialog box will prompt you to continue the cut. Click Yes to proceed.


Style icons

Style icons

Home > Style icons

This group of tool icons controls the units of measure and the cutting speed for entities of the part.

System unit | Use this tool to select the system unit of measure (millimeter or inch).
20% speed | Use this tool to assign a very slow cutting speed (20% of maximum speed). Cuts at this speed provide an excellent cut surface. The entity selected will appear light green.
40% speed | Use this tool to assign a slow cutting speed (40% of maximum speed). Cuts at this speed provide a good cut surface. The entity selected will appear dark blue.
60% speed | Use this tool to assign a moderate cutting speed (60% of maximum speed). Cuts at this speed will provide a moderate cut surface. The entity selected will appear light blue.
80% speed | Use this tool to assign a fast cutting speed (80% of maximum speed). Cuts at this speed will provide a slightly rough cut surface. The entity selected will appear magenta.
100% speed | Use this tool to assign a very fast cutting speed (maximum speed). Cuts at this speed will provide a rough cut surface. The entity selected will appear yellow.
Custom speed | Use this tool to define the cutting speed. A Speed Selection dialog box will open. When selecting a custom speed between two standard speeds, the entity will appear as a darker hue of the higher speed.


TestImage

TestImage

Home > TestImage

This is Body Placeholder text for your Master Page. Topics created using this Master Page will get this text by default. Replace text of this Body Placeholder with your default content for topics.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Area outside this Body Placeholder represents the layout of the Master Page which will not be shown in the associated topics but will be present in the output. The Body Placeholder content will be replaced by actual topic content in the output.

Use Master Page to define the layout of your topic in the output.


Using custom settings and restoring defaults

Using custom settings and restoring defaults

Home > Using custom settings and restoring defaults

On the Advanced menu, click Advanced model setting.

Save Settings

Saves Custom settings in a Flow Custom Model (FCM) file. Click Save Settings to open the Save as dialog box.

Saving the settings will handle the current settings as if they had just been imported. These settings stay in effect until a new drawing is opened or Reset is clicked.

Import Settings

Click Import Settings to open and restore custom settings.

When custom settings are imported, they stay in effect until a new drawing is opened or Reset is clicked.

Reset

Click Reset to return all values to the default values.

OK

Click OK to accept any changes made while the Advanced model dialog is open. These changes will stay in effect until the dialog is reset, new values are imported, a new drawing is opened, or the thickness or material type are changed.

Cancel

Click Cancel to ignore any changes made while the Advanced model dialog was open.

Tracking custom settings

There are two ways to track custom settings in FlowCUT:

  • In the Advanced Model dialog, there is a Note line to remind the user of the settings being used. The note shows that modifications have been made to the default settings. If a file was imported, the note will show the file name.

  • A matching note located on the Apply model dialog makes it easy to see which settings are being used without having to access the Advanced model dialog.

Related topics

Modify lead angle scaler

Modify taper angle scaler

Modify corner angle

Modify arc speeds

Lead-in/lead-out and corner acceleration/deceleration

Lead and corner tabs numbers


Z-axis control

Z-axis control

Home > Z-axis control

Enable Z-axis control

When a Z-axis control option is installed, the Run machine screen includes a set of checkboxes in the sidebar. Click "Enable Cutting Head".

On machines with dual masts installed, the cutting head will be numbered to correspond to the mast.

Multiple Z-axes

Jog Z-axis

To precisely jog one step up or down at a time, click on the up or down arrows on the Z-axis jog/home controls. You can customize the size of the step-jog increment by selecting Setup | Jog and rapid traverse….

To continuously jog the Z-axis, press the Page Up or Page Down keys on your keyboard. The motion will stop when the key is released.

 The Enable Cutting Head check boxes also affect operation of the vacuum, water, and abrasive controls. For example, if check box 2 is disabled, the water will not turn on for that cutting head even when the water on control is activated.


Zone parameters

Zone parameters

Home > Zone parameters

The Zone parameters option allows you to create two distinct areas of cutting, set the homing position for both zones and specify the zone size.

Set homing position for both zones

  1. On the Setup menu, click Zone parameters.

  2. Select the Move cutting head when zone selection is changed check box to move the cutting head to the user home or a specific position when the zone selection is changed.

    • Select the Go to user home option to send the cutting head to the current user-defined home.

    • Select the Go to the following position option and enter the X,Y coordinates for both zones to send the cutting head to a specific position.

  3. Under Zone home relationship, select Rectangular and enter the Length and Width or Mirror and enter the X and Y values to define the zone size.

Related topics

Move from zone to zone


Zone selection icons

Zone selection icons

Home > Zone selection icons

This group of tool icons controls the selection of cutting zones.

Move to Zone 1 | Use this tool to move the cutting head to a pre-defined Zone 1.
Move to Zone 2 | Use this tool to move the cutting head to a pre-defined Zone 2.